/* Icon Picker */
(function ($) {
    $.fn.iconPicker = function (options) {
        var options = ['dashicons', 'dashicons']; // default font set
        var icons;
        $list = $('');
        function font_set() {
            if (options[0] == 'dashicons') {
                icons = [
                    "blank", // there is no "blank" but we need the option
                    "menu",
                    "admin-site",
                    "dashboard",
                    "admin-media",
                    "admin-page",
                    "admin-comments",
                    "admin-appearance",
                    "admin-plugins",
                    "admin-users",
                    "admin-tools",
                    "admin-settings",
                    "admin-network",
                    "admin-generic",
                    "admin-home",
                    "admin-collapse",
                    "admin-links",
                    "format-links",
                    "admin-post",
                    "format-standard",
                    "format-image",
                    "format-gallery",
                    "format-audio",
                    "format-video",
                    "format-chat",
                    "format-status",
                    "format-aside",
                    "format-quote",
                    "welcome-write-blog",
                    "welcome-edit-page",
                    "welcome-add-page",
                    "welcome-view-site",
                    "welcome-widgets-menus",
                    "welcome-comments",
                    "welcome-learn-more",
                    "image-crop",
                    "image-rotate-left",
                    "image-rotate-right",
                    "image-flip-vertical",
                    "image-flip-horizontal",
                    "undo",
                    "redo",
                    "editor-bold",
                    "editor-italic",
                    "editor-ul",
                    "editor-ol",
                    "editor-quote",
                    "editor-alignleft",
                    "editor-aligncenter",
                    "editor-alignright",
                    "editor-insertmore",
                    "editor-spellcheck",
                    "editor-distractionfree",
                    "editor-kitchensink",
                    "editor-underline",
                    "editor-justify",
                    "editor-textcolor",
                    "editor-paste-word",
                    "editor-paste-text",
                    "editor-removeformatting",
                    "editor-video",
                    "editor-customchar",
                    "editor-outdent",
                    "editor-indent",
                    "editor-help",
                    "editor-strikethrough",
                    "editor-unlink",
                    "editor-rtl",
                    "align-left",
                    "align-right",
                    "align-center",
                    "align-none",
                    "lock",
                    "calendar",
                    "visibility",
                    "post-status",
                    "post-trash",
                    "edit",
                    "trash",
                    "arrow-up",
                    "arrow-down",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up-alt",
                    "arrow-down-alt",
                    "arrow-left-alt",
                    "arrow-right-alt",
                    "arrow-up-alt2",
                    "arrow-down-alt2",
                    "arrow-left-alt2",
                    "arrow-right-alt2",
                    "leftright",
                    "sort",
                    "list-view",
                    "exerpt-view",
                    "share",
                    "share1",
                    "share-alt",
                    "share-alt2",
                    "twitter",
                    "rss",
                    "facebook",
                    "facebook-alt",
                    "networking",
                    "googleplus",
                    "hammer",
                    "art",
                    "migrate",
                    "performance",
                    "wordpress",
                    "wordpress-alt",
                    "pressthis",
                    "update",
                    "screenoptions",
                    "info",
                    "cart",
                    "feedback",
                    "cloud",
                    "translation",
                    "tag",
                    "category",
                    "yes",
                    "no",
                    "no-alt",
                    "plus",
                    "minus",
                    "dismiss",
                    "marker",
                    "star-filled",
                    "star-half",
                    "star-empty",
                    "flag",
                    "location",
                    "location-alt",
                    "camera",
                    "images-alt",
                    "images-alt2",
                    "video-alt",
                    "video-alt2",
                    "video-alt3",
                    "vault",
                    "shield",
                    "shield-alt",
                    "search",
                    "slides",
                    "analytics",
                    "chart-pie",
                    "chart-bar",
                    "chart-line",
                    "chart-area",
                    "groups",
                    "businessman",
                    "id",
                    "id-alt",
                    "products",
                    "awards",
                    "forms",
                    "portfolio",
                    "book",
                    "book-alt",
                    "download",
                    "upload",
                    "backup",
                    "lightbulb",
                    "smiley"
                ];
                options[1] = 'dashicons';
            } else if (options[0] == 'fa') {
                icons = [
                    "blank",
                    // Mail
                    "inbox",
                    "envelope",
                    "envelope-o",
                    "paperclip",
                    "reply-all",
                    "mail-reply-all",
                    "mail-forward",
                    "mail-reply",
                    "reply",
                    // Media
                    "music",
                    "film",
                    "step-backward",
                    "fast-backward",
                    "backward",
                    "play",
                    "play-circle",
                    "play-circle-o",
                    "pause",
                    "stop",
                    "forward",
                    "fast-forward",
                    "step-forward",
                    "eject",
                    "repeat",
                    "refresh",
                    "random",
                    "headphones",
                    "volume-off",
                    "volume-down",
                    "volume-up",
                    // Arrows
                    "angle-double-left",
                    "angle-double-right",
                    "angle-double-up",
                    "angle-double-down",
                    "angle-left",
                    "angle-right",
                    "angle-up",
                    "angle-down",
                    "arrows",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up",
                    "arrow-down",
                    "arrows-alt",
                    "arrows-v",
                    "arrows-h",
                    "arrow-circle-left",
                    "arrow-circle-right",
                    "arrow-circle-up",
                    "arrow-circle-down",
                    "arrow-circle-o-down",
                    "arrow-circle-o-up",
                    "arrow-circle-o-right",
                    "arrow-circle-o-left",
                    "caret-down",
                    "caret-up",
                    "caret-left",
                    "caret-right",
                    "chevron-left",
                    "chevron-right",
                    "chevron-up",
                    "chevron-down",
                    "chevron-circle-left",
                    "chevron-circle-right",
                    "chevron-circle-up",
                    "chevron-circle-down",
                    "expand",
                    "compress",
                    "hand-o-right",
                    "hand-o-left",
                    "hand-o-up",
                    "hand-o-down",
                    "level-up",
                    "level-down",
                    "long-arrow-down",
                    "long-arrow-up",
                    "long-arrow-left",
                    "long-arrow-right",
                    "rotate-right",
                    "toggle-left",
                    "toggle-down",
                    "toggle-up",
                    "toggle-right",
                    // Search
                    "search",
                    "search-plus",
                    "search-minus",
                    // File Editing
                    "cut",
                    "crop",
                    "copy",
                    "paste",
                    "font",
                    "bold",
                    "italic",
                    "anchor",
                    "link",
                    "unlink",
                    "chain-broken",
                    "external-link",
                    "external-link-square",
                    "text-height",
                    "text-width",
                    "align-left",
                    "align-center",
                    "align-right",
                    "align-justify",
                    "list",
                    "quote-left",
                    "quote-right",
                    "outdent",
                    "indent",
                    "undo",
                    "adjust",
                    "tint",
                    "edit",
                    "list-ul",
                    "list-ol",
                    "list-alt",
                    "th-large",
                    "th",
                    "th-list",
                    "strikethrough",
                    "underline",
                    "magic",
                    "superscript",
                    "subscript",
                    "eraser",
                    "pagelines",
                    // Punctuation
                    "asterisk",
                    "question",
                    "info",
                    "exclamation",
                    // Emoticons
                    "smile-o",
                    "frown-o",
                    "meh-o",
                    // Math + Geometry
                    "check",
                    "times",
                    "plus",
                    "minus",
                    "crosshairs",
                    "spinner",
                    "circle",
                    "circle-o",
                    "dot-circle-o",
                    "minus-circle",
                    "times-circle",
                    "check-circle",
                    "exclamation-circle",
                    "question-circle",
                    "info-circle",
                    "plus-circle",
                    "plus-square",
                    "plus-square-o",
                    "square",
                    "square-o",
                    "h-square",
                    "share-square",
                    "share-square-o",
                    "check-square-o",
                    "times-circle-o",
                    "check-circle-o",
                    "ellipsis-h",
                    "ellipsis-v",
                    "minus-square",
                    "check-square",
                    "bullseye",
                    // Rate
                    "thumbs-o-up",
                    "thumbs-o-down",
                    "star",
                    "star-o",
                    "star-half",
                    "star-half-o",
                    "heart",
                    "heart-o",
                    "lemon-o",
                    "trophy",
                    "thumbs-up",
                    "thumbs-down",
                    // Accounts
                    "user",
                    "user-md",
                    "group",
                    "sign-in",
                    "sign-out",
                    "key",
                    "lock",
                    "unlock",
                    "unlock-alt",
                    "gear",
                    "gears",
                    "ban",
                    "female",
                    "male",
                    "comment",
                    "comments",
                    "ticket",
                    "tasks",
                    "calendar",
                    "calendar-o",
                    // Time
                    "sun-o",
                    "moon-o",
                    "clock-o",
                    // Site	
                    "home",
                    "comment-o",
                    "comments-o",
                    "sitemap",
                    // File Operations
                    "upload",
                    "download",
                    "exchange",
                    "file-o",
                    "files-o",
                    "file",
                    "file-text",
                    "file-text-o",
                    "folder",
                    "folder-o",
                    "folder-open",
                    "hdd-o",
                    "cloud",
                    "cloud-download",
                    "cloud-upload",
                    "save",
                    "trash-o",
                    "print",
                    // Social Networks
                    "adn",
                    "dribbble",
                    "dropbox",
                    "facebook",
                    "facebook-square",
                    "flickr",
                    "foursquare",
                    "github",
                    "github-square",
                    "github-alt",
                    "gittip",
                    "google-plus",
                    "google-plus-square",
                    "instagram",
                    "linkedin",
                    "linkedin-square",
                    "pinterest",
                    "pinterest-square",
                    "renren",
                    "rss",
                    "rss-square",
                    "skype",
                    "stack-exchange",
                    "stack-overflow",
                    "trello",
                    "tumblr",
                    "tumblr-square",
                    "twitter",
                    "twitter-square",
                    "retweet",
                    "vimeo-square",
                    "vk",
                    "weibo",
                    "xing",
                    "xing-square",
                    "youtube",
                    "youtube-square",
                    "youtube-play",
                    // Computer			
                    "desktop",
                    "laptop",
                    "tablet",
                    "mobile-phone",
                    "phone",
                    "phone-square",
                    "microphone",
                    "microphone-slash",
                    "apple",
                    "windows",
                    "android",
                    "linux",
                    "html5",
                    "css3",
                    "gamepad",
                    "keyboard-o",
                    "signal",
                    "power-off",
                    "terminal",
                    "code",
                    "code-fork",
                    "bug",
                    // Maps
                    "glass",
                    "globe",
                    "map-marker",
                    "thumb-tack",
                    "building-o",
                    "hospital-o",
                    "location-arrow",
                    "compass",
                    "road",
                    // Tools & Objects
                    "bell",
                    "book",
                    "bookmark",
                    "bookmark-o",
                    "bullhorn",
                    "camera",
                    "camera-retro",
                    "video-camera",
                    "picture-o",
                    "pencil",
                    "pencil-square",
                    "flask",
                    "briefcase",
                    "table",
                    "truck",
                    "wrench",
                    "plane",
                    "lightbulb-o",
                    "stethoscope",
                    "suitcase",
                    "bell-o",
                    "coffee",
                    "cutlery",
                    "umbrella",
                    "ambulance",
                    "medkit",
                    "fighter-jet",
                    "beer",
                    "wheelchair",
                    "gift",
                    "leaf",
                    "fire",
                    "eye",
                    "eye-slash",
                    "warning",
                    "magnet",
                    "flag",
                    "flag-o",
                    "flag-checkered",
                    "fire-extinguisher",
                    "rocket",
                    "shield",
                    "puzzle-piece",
                    "legal",
                    "dashboard",
                    "flash",
                    "bars",
                    "bar-chart-o",
                    "bed",
                    // Sorting
                    "columns",
                    "filter",
                    "sort",
                    "sort-down",
                    "sort-up",
                    "sort-alpha-asc",
                    "sort-alpha-desc",
                    "sort-amount-asc",
                    "sort-amount-desc",
                    "sort-numeric-asc",
                    "sort-numeric-desc",
                    // e-Commerce
                    "money",
                    "certificate",
                    "credit-card",
                    "shopping-cart",
                    "euro",
                    "gbp",
                    "dollar",
                    "rupee",
                    "yen",
                    "ruble",
                    "won",
                    "bitcoin",
                    "bitbucket-square",
                    "turkish-lira",
                    "tag",
                    "tags",
                    "qrcode",
                    "barcode"
                ];
                options[1] = "fa";
            } else if (options[0] == 'icon') {
                icons = [
                    'home',
                    'home2',
                    'home3',
                    'office',
                    'newspaper',
                    'pencil',
                    'pencil2',
                    'quill',
                    'pen',
                    'blog',
                    'eyedropper',
                    'droplet',
                    'paint-format',
                    'image',
                    'images',
                    'camera',
                    'headphones',
                    'music',
                    'play',
                    'film',
                    'video-camera',
                    'dice',
                    'pacman',
                    'spades',
                    'clubs',
                    'diamonds',
                    'bullhorn',
                    'connection',
                    'podcast',
                    'feed',
                    'mic',
                    'book',
                    'books',
                    'library',
                    'file-text',
                    'profile',
                    'file-empty',
                    'files-empty',
                    'file-text2',
                    'file-picture',
                    'file-music',
                    'file-play',
                    'file-video',
                    'file-zip',
                    'copy',
                    'paste',
                    'stack',
                    'folder',
                    'folder-open',
                    'folder-plus',
                    'folder-minus',
                    'folder-download',
                    'folder-upload',
                    'price-tag',
                    'price-tags',
                    'barcode',
                    'qrcode',
                    'ticket',
                    'cart',
                    'coin-dollar',
                    'coin-euro',
                    'coin-pound',
                    'coin-yen',
                    'credit-card',
                    'calculator',
                    'lifebuoy',
                    'phone',
                    'phone-hang-up',
                    'address-book',
                    'envelop',
                    'pushpin',
                    'location',
                    'location2',
                    'compass',
                    'compass2',
                    'map',
                    'map2',
                    'history',
                    'clock',
                    'clock2',
                    'alarm',
                    'bell',
                    'stopwatch',
                    'calendar',
                    'printer',
                    'keyboard',
                    'display',
                    'laptop',
                    'mobile',
                    'mobile2',
                    'tablet',
                    'tv',
                    'drawer',
                    'drawer2',
                    'box-add',
                    'box-remove',
                    'download',
                    'upload',
                    'floppy-disk',
                    'drive',
                    'database',
                    'undo',
                    'redo',
                    'undo2',
                    'redo2',
                    'forward',
                    'reply',
                    'bubble',
                    'bubbles',
                    'bubbles2',
                    'bubble2',
                    'bubbles3',
                    'bubbles4',
                    'user',
                    'users',
                    'user-plus',
                    'user-minus',
                    'user-check',
                    'user-tie',
                    'quotes-left',
                    'quotes-right',
                    'hour-glass',
                    'spinner',
                    'spinner2',
                    'spinner3',
                    'spinner4',
                    'spinner5',
                    'spinner6',
                    'spinner7',
                    'spinner8',
                    'spinner9',
                    'spinner10',
                    'spinner11',
                    'binoculars',
                    'search',
                    'zoom-in',
                    'zoom-out',
                    'enlarge',
                    'shrink',
                    'enlarge2',
                    'shrink2',
                    'key',
                    'key2',
                    'lock',
                    'unlocked',
                    'wrench',
                    'equalizer',
                    'equalizer2',
                    'cog',
                    'cogs',
                    'hammer',
                    'magic-wand',
                    'aid-kit',
                    'bug',
                    'pie-chart',
                    'stats-dots',
                    'stats-bars',
                    'stats-bars2',
                    'trophy',
                    'gift',
                    'glass',
                    'glass2',
                    'mug',
                    'spoon-knife',
                    'leaf',
                    'rocket',
                    'meter',
                    'meter2',
                    'hammer2',
                    'fire',
                    'lab',
                    'magnet',
                    'bin',
                    'bin2',
                    'briefcase',
                    'airplane',
                    'truck',
                    'road',
                    'accessibility',
                    'target',
                    'shield',
                    'power',
                    'switch',
                    'power-cord',
                    'clipboard',
                    'list-numbered',
                    'list',
                    'list2',
                    'tree',
                    'menu',
                    'menu2',
                    'menu3',
                    'menu4',
                    'cloud',
                    'cloud-download',
                    'cloud-upload',
                    'cloud-check',
                    'download2',
                    'upload2',
                    'download3',
                    'upload3',
                    'sphere',
                    'earth',
                    'link',
                    'flag',
                    'attachment',
                    'eye',
                    'eye-plus',
                    'eye-minus',
                    'eye-blocked',
                    'bookmark',
                    'bookmarks',
                    'sun',
                    'contrast',
                    'brightness-contrast',
                    'star-empty',
                    'star-half',
                    'star-full',
                    'heart',
                    'heart-broken',
                    'man',
                    'woman',
                    'man-woman',
                    'happy',
                    'happy2',
                    'smile',
                    'smile2',
                    'tongue',
                    'tongue2',
                    'sad',
                    'sad2',
                    'wink',
                    'wink2',
                    'grin',
                    'grin2',
                    'cool',
                    'cool2',
                    'angry',
                    'angry2',
                    'evil',
                    'evil2',
                    'shocked',
                    'shocked2',
                    'baffled',
                    'baffled2',
                    'confused',
                    'confused2',
                    'neutral',
                    'neutral2',
                    'hipster',
                    'hipster2',
                    'wondering',
                    'wondering2',
                    'sleepy',
                    'sleepy2',
                    'frustrated',
                    'frustrated2',
                    'crying',
                    'crying2',
                    'point-up',
                    'point-right',
                    'point-down',
                    'point-left',
                    'warning',
                    'notification',
                    'question',
                    'plus',
                    'minus',
                    'info',
                    'cancel-circle',
                    'blocked',
                    'cross',
                    'checkmark',
                    'checkmark2',
                    'spell-check',
                    'enter',
                    'exit',
                    'play2',
                    'pause',
                    'stop',
                    'previous',
                    'next',
                    'backward',
                    'forward2',
                    'play3',
                    'pause2',
                    'stop2',
                    'backward2',
                    'forward3',
                    'first',
                    'last',
                    'previous2',
                    'next2',
                    'eject',
                    'volume-high',
                    'volume-medium',
                    'volume-low',
                    'volume-mute',
                    'volume-mute2',
                    'volume-increase',
                    'volume-decrease',
                    'loop',
                    'loop2',
                    'infinite',
                    'shuffle',
                    'arrow-up-left',
                    'arrow-up',
                    'arrow-up-right',
                    'arrow-right',
                    'arrow-down-right',
                    'arrow-down',
                    'arrow-down-left',
                    'arrow-left',
                    'arrow-up-left2',
                    'arrow-up2',
                    'arrow-up-right2',
                    'arrow-right2',
                    'arrow-down-right2',
                    'arrow-down2',
                    'arrow-down-left2',
                    'arrow-left2',
                    'circle-up',
                    'circle-right',
                    'circle-down',
                    'circle-left',
                    'tab',
                    'move-up',
                    'move-down',
                    'sort-alpha-asc',
                    'sort-alpha-desc',
                    'sort-numeric-asc',
                    'sort-numberic-desc',
                    'sort-amount-asc',
                    'sort-amount-desc',
                    'command',
                    'shift',
                    'ctrl',
                    'opt',
                    'checkbox-checked',
                    'checkbox-unchecked',
                    'radio-checked',
                    'radio-checked2',
                    'radio-unchecked',
                    'crop',
                    'make-group',
                    'ungroup',
                    'scissors',
                    'filter',
                    'font',
                    'ligature',
                    'ligature2',
                    'text-height',
                    'text-width',
                    'font-size',
                    'bold',
                    'underline',
                    'italic',
                    'strikethrough',
                    'omega',
                    'sigma',
                    'page-break',
                    'superscript',
                    'subscript',
                    'superscript2',
                    'subscript2',
                    'text-color',
                    'pagebreak',
                    'clear-formatting',
                    'table',
                    'table2',
                    'insert-template',
                    'pilcrow',
                    'ltr',
                    'rtl',
                    'section',
                    'paragraph-left',
                    'paragraph-center',
                    'paragraph-right',
                    'paragraph-justify',
                    'indent-increase',
                    'indent-decrease',
                    'share',
                    'new-tab',
                    'embed',
                    'embed2',
                    'terminal',
                    'share2',
                    'mail',
                    'mail2',
                    'mail3',
                    'mail4',
                    'amazon',
                    'google',
                    'google2',
                    'google3',
                    'google-plus',
                    'google-plus2',
                    'google-plus3',
                    'hangouts',
                    'google-drive',
                    'facebook',
                    'facebook2',
                    'instagram',
                    'whatsapp',
                    'spotify',
                    'telegram',
                    'twitter',
                    'vine',
                    'vk',
                    'renren',
                    'sina-weibo',
                    'rss',
                    'rss2',
                    'youtube',
                    'youtube2',
                    'twitch',
                    'vimeo',
                    'vimeo2',
                    'lanyrd',
                    'flickr',
                    'flickr2',
                    'flickr3',
                    'flickr4',
                    'dribbble',
                    'behance',
                    'behance2',
                    'deviantart',
                    '500px',
                    'steam',
                    'steam2',
                    'dropbox',
                    'onedrive',
                    'github',
                    'npm',
                    'basecamp',
                    'trello',
                    'wordpress',
                    'joomla',
                    'ello',
                    'blogger',
                    'blogger2',
                    'tumblr',
                    'tumblr2',
                    'yahoo',
                    'yahoo2',
                    'tux',
                    'appleinc',
                    'finder',
                    'android',
                    'windows',
                    'windows8',
                    'soundcloud',
                    'soundcloud2',
                    'skype',
                    'reddit',
                    'hackernews',
                    'wikipedia',
                    'linkedin',
                    'linkedin2',
                    'lastfm',
                    'lastfm2',
                    'delicious',
                    'stumbleupon',
                    'stumbleupon2',
                    'stackoverflow',
                    'pinterest',
                    'pinterest2',
                    'xing',
                    'xing2',
                    'flattr',
                    'foursquare',
                    'yelp',
                    'paypal',
                    'chrome',
                    'firefox',
                    'IE',
                    'edge',
                    'safari',
                    'opera',
                    'file-pdf',
                    'file-openoffice',
                    'file-word',
                    'file-excel',
                    'libreoffice',
                    'html-five',
                    'html-five2',
                    'css3',
                    'git',
                    'codepen',
                    'svg',
                    'IcoMoon',
                ];
                options[1] = 'icon';
            } else if (options[0] == 'far') {
                icons = [
                    "address-book",
                    "address-card",
                    "arrow-alt-circle-down",
                    "arrow-alt-circle-left",
                    "arrow-alt-circle-right",
                    "arrow-alt-circle-up",
                    "bell",
                    "bell-slash",
                    "bookmark",
                    "building",
                    "calendar",
                    "calendar-alt",
                    "calendar-check",
                    "calendar-minus",
                    "calendar-plus",
                    "calendar-times",
                    "caret-square-down",
                    "caret-square-left",
                    "caret-square-right",
                    "caret-square-up",
                    "chart-bar",
                    "check-circle",
                    "check-square",
                    "circle",
                    "clipboard",
                    "clock",
                    "clone",
                    "closed-captioning",
                    "comment",
                    "comment-alt",
                    "comment-dots",
                    "comments",
                    "compass",
                    "copy",
                    "copyright",
                    "credit-card",
                    "dot-circle",
                    "edit",
                    "envelope",
                    "envelope-open",
                    "eye",
                    "eye-slash",
                    "file",
                    "file-alt",
                    "file-archive",
                    "file-audio",
                    "file-code",
                    "file-excel",
                    "file-image",
                    "file-pdf",
                    "file-powerpoint",
                    "file-video",
                    "file-word",
                    "flag",
                    "folder",
                    "folder-open",
                    "font-awesome-logo-full",
                    "frown",
                    "futbol",
                    "gem",
                    "hand-lizard",
                    "hand-paper",
                    "hand-peace",
                    "hand-point-down",
                    "hand-point-left",
                    "hand-point-right",
                    "hand-point-up",
                    "hand-pointer",
                    "hand-rock",
                    "hand-scissors",
                    "hand-spock",
                    "handshake",
                    "hdd",
                    "heart",
                    "hospital",
                    "hourglass",
                    "id-badge",
                    "id-card",
                    "image",
                    "images",
                    "keyboard",
                    "lemon",
                    "life-ring",
                    "lightbulb",
                    "list-alt",
                    "map",
                    "meh",
                    "minus-square",
                    "money-bill-alt",
                    "moon",
                    "newspaper",
                    "object-group",
                    "object-ungroup",
                    "paper-plane",
                    "pause-circle",
                    "play-circle",
                    "plus-square",
                    "question-circle",
                    "registered",
                    "save",
                    "share-square",
                    "smile",
                    "snowflake",
                    "square",
                    "star",
                    "star-half",
                    "sticky-note",
                    "stop-circle",
                    "sun",
                    "thumbs-down",
                    "thumbs-up",
                    "times-circle",
                    "trash-alt",
                    "user",
                    "user-circle",
                    "window-close",
                    "window-maximize",
                    "window-minimize",
                    "window-restore",
                ];
                options[1] = 'fa';
            } else if (options[0] == 'fab') {
                icons = [
                    "500px",
                    "accessible-icon",
                    "accusoft",
                    "adn",
                    "adversal",
                    "affiliatetheme",
                    "algolia",
                    "amazon",
                    "amazon-pay",
                    "amilia",
                    "android",
                    "angellist",
                    "angrycreative",
                    "angular",
                    "app-store",
                    "app-store-ios",
                    "apper",
                    "apple",
                    "apple-pay",
                    "asymmetrik",
                    "audible",
                    "autoprefixer",
                    "avianex",
                    "aviato",
                    "aws",
                    "bandcamp",
                    "behance",
                    "behance-square",
                    "bimobject",
                    "bitbucket",
                    "bitcoin",
                    "bity",
                    "black-tie",
                    "blackberry",
                    "blogger",
                    "blogger-b",
                    "bluetooth",
                    "bluetooth-b",
                    "btc",
                    "buromobelexperte",
                    "buysellads",
                    "cc-amazon-pay",
                    "cc-amex",
                    "cc-apple-pay",
                    "cc-diners-club",
                    "cc-discover",
                    "cc-jcb",
                    "cc-mastercard",
                    "cc-paypal",
                    "cc-stripe",
                    "cc-visa",
                    "centercode",
                    "chrome",
                    "cloudscale",
                    "cloudsmith",
                    "cloudversify",
                    "codepen",
                    "codiepie",
                    "connectdevelop",
                    "contao",
                    "cpanel",
                    "creative-commons",
                    "creative-commons-by",
                    "creative-commons-nc",
                    "creative-commons-nc-eu",
                    "creative-commons-nc-jp",
                    "creative-commons-nd",
                    "creative-commons-pd",
                    "creative-commons-pd-alt",
                    "creative-commons-remix",
                    "creative-commons-sa",
                    "creative-commons-sampling",
                    "creative-commons-sampling-plus",
                    "creative-commons-share",
                    "css3",
                    "css3-alt",
                    "cuttlefish",
                    "d-and-d",
                    "dashcube",
                    "delicious",
                    "deploydog",
                    "deskpro",
                    "deviantart",
                    "digg",
                    "digital-ocean",
                    "discord",
                    "discourse",
                    "dochub",
                    "docker",
                    "draft2digital",
                    "dribbble",
                    "dribbble-square",
                    "dropbox",
                    "drupal",
                    "dyalog",
                    "earlybirds",
                    "ebay",
                    "edge",
                    "elementor",
                    "ember",
                    "empire",
                    "envira",
                    "erlang",
                    "ethereum",
                    "etsy",
                    "expeditedssl",
                    "facebook",
                    "facebook-f",
                    "facebook-messenger",
                    "facebook-square",
                    "firefox",
                    "first-order",
                    "first-order-alt",
                    "firstdraft",
                    "flickr",
                    "flipboard",
                    "fly",
                    "font-awesome",
                    "font-awesome-alt",
                    "font-awesome-flag",
                    "font-awesome-logo-full",
                    "fonticons",
                    "fonticons-fi",
                    "fort-awesome",
                    "fort-awesome-alt",
                    "forumbee",
                    "foursquare",
                    "free-code-camp",
                    "freebsd",
                    "fulcrum",
                    "galactic-republic",
                    "galactic-senate",
                    "get-pocket",
                    "gg",
                    "gg-circle",
                    "git",
                    "git-square",
                    "github",
                    "github-alt",
                    "github-square",
                    "gitkraken",
                    "gitlab",
                    "gitter",
                    "glide",
                    "glide-g",
                    "gofore",
                    "goodreads",
                    "goodreads-g",
                    "google",
                    "google-drive",
                    "google-play",
                    "google-plus",
                    "google-plus-g",
                    "google-plus-square",
                    "google-wallet",
                    "gratipay",
                    "grav",
                    "gripfire",
                    "grunt",
                    "gulp",
                    "hacker-news",
                    "hacker-news-square",
                    "hips",
                    "hire-a-helper",
                    "hooli",
                    "hotjar",
                    "houzz",
                    "html5",
                    "hubspot",
                    "imdb",
                    "instagram",
                    "internet-explorer",
                    "ioxhost",
                    "itunes",
                    "itunes-note",
                    "java",
                    "jedi-order",
                    "jenkins",
                    "joget",
                    "joomla",
                    "js",
                    "js-square",
                    "jsfiddle",
                    "keybase",
                    "keycdn",
                    "kickstarter",
                    "kickstarter-k",
                    "korvue",
                    "laravel",
                    "lastfm",
                    "lastfm-square",
                    "leanpub",
                    "less",
                    "line",
                    "linkedin",
                    "linkedin-in",
                    "linode",
                    "linux",
                    "lyft",
                    "magento",
                    "mandalorian",
                    "mastodon",
                    "maxcdn",
                    "medapps",
                    "medium",
                    "medium-m",
                    "medrt",
                    "meetup",
                    "microsoft",
                    "mix",
                    "mixcloud",
                    "mizuni",
                    "modx",
                    "monero",
                    "napster",
                    "nintendo-switch",
                    "node",
                    "node-js",
                    "npm",
                    "ns8",
                    "nutritionix",
                    "odnoklassniki",
                    "odnoklassniki-square",
                    "old-republic",
                    "opencart",
                    "openid",
                    "opera",
                    "optin-monster",
                    "osi",
                    "page4",
                    "pagelines",
                    "palfed",
                    "patreon",
                    "paypal",
                    "periscope",
                    "phabricator",
                    "phoenix-framework",
                    "phoenix-squadron",
                    "php",
                    "pied-piper",
                    "pied-piper-alt",
                    "pied-piper-hat",
                    "pied-piper-pp",
                    "pinterest",
                    "pinterest-p",
                    "pinterest-square",
                    "playstation",
                    "product-hunt",
                    "pushed",
                    "python",
                    "qq",
                    "quinscape",
                    "quora",
                    "r-project",
                    "ravelry",
                    "react",
                    "readme",
                    "rebel",
                    "red-river",
                    "reddit",
                    "reddit-alien",
                    "reddit-square",
                    "rendact",
                    "renren",
                    "replyd",
                    "researchgate",
                    "resolving",
                    "rocketchat",
                    "rockrms",
                    "safari",
                    "sass",
                    "schlix",
                    "scribd",
                    "searchengin",
                    "sellcast",
                    "sellsy",
                    "servicestack",
                    "shirtsinbulk",
                    "simplybuilt",
                    "sistrix",
                    "sith",
                    "skyatlas",
                    "skype",
                    "slack",
                    "slack-hash",
                    "slideshare",
                    "snapchat",
                    "snapchat-ghost",
                    "snapchat-square",
                    "soundcloud",
                    "speakap",
                    "spotify",
                    "stack-exchange",
                    "stack-overflow",
                    "staylinked",
                    "steam",
                    "steam-square",
                    "steam-symbol",
                    "sticker-mule",
                    "strava",
                    "stripe",
                    "stripe-s",
                    "studiovinari",
                    "stumbleupon",
                    "stumbleupon-circle",
                    "superpowers",
                    "supple",
                    "teamspeak",
                    "telegram",
                    "telegram-plane",
                    "tencent-weibo",
                    "themeisle",
                    "trade-federation",
                    "trello",
                    "tripadvisor",
                    "tumblr",
                    "tumblr-square",
                    "twitch",
                    "twitter",
                    "twitter-square",
                    "typo3",
                    "uber",
                    "uikit",
                    "uniregistry",
                    "untappd",
                    "usb",
                    "ussunnah",
                    "vaadin",
                    "viacoin",
                    "viadeo",
                    "viadeo-square",
                    "viber",
                    "vimeo",
                    "vimeo-square",
                    "vimeo-v",
                    "vine",
                    "vk",
                    "vnv",
                    "vuejs",
                    "weibo",
                    "weixin",
                    "whatsapp",
                    "whatsapp-square",
                    "whmcs",
                    "wikipedia-w",
                    "windows",
                    "wolf-pack-battalion",
                    "wordpress",
                    "wordpress-simple",
                    "wpbeginner",
                    "wpexplorer",
                    "wpforms",
                    "xbox",
                    "xing",
                    "xing-square",
                    "y-combinator",
                    "yahoo",
                    "yandex",
                    "yandex-international",
                    "yelp",
                    "yoast",
                    "youtube",
                    "youtube-square",
                ];
                options[1] = 'fa';
            } else if (options[0] == 'fas') {
                icons = [
                    "address-book",
                    "address-card",
                    "adjust",
                    "align-center",
                    "align-justify",
                    "align-left",
                    "align-right",
                    "allergies",
                    "ambulance",
                    "american-sign-language-interpreting",
                    "anchor",
                    "angle-double-down",
                    "angle-double-left",
                    "angle-double-right",
                    "angle-double-up",
                    "angle-down",
                    "angle-left",
                    "angle-right",
                    "angle-up",
                    "archive",
                    "arrow-alt-circle-down",
                    "arrow-alt-circle-left",
                    "arrow-alt-circle-right",
                    "arrow-alt-circle-up",
                    "arrow-circle-down",
                    "arrow-circle-left",
                    "arrow-circle-right",
                    "arrow-circle-up",
                    "arrow-down",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up",
                    "arrows-alt",
                    "arrows-alt-h",
                    "arrows-alt-v",
                    "assistive-listening-systems",
                    "asterisk",
                    "at",
                    "audio-description",
                    "backward",
                    "balance-scale",
                    "ban",
                    "band-aid",
                    "barcode",
                    "bars",
                    "baseball-ball",
                    "basketball-ball",
                    "bath",
                    "battery-empty",
                    "battery-full",
                    "battery-half",
                    "battery-quarter",
                    "battery-three-quarters",
                    "bed",
                    "beer",
                    "bell",
                    "bell-slash",
                    "bicycle",
                    "binoculars",
                    "birthday-cake",
                    "blind",
                    "bold",
                    "bolt",
                    "bomb",
                    "book",
                    "bookmark",
                    "bowling-ball",
                    "box",
                    "box-open",
                    "boxes",
                    "braille",
                    "briefcase",
                    "briefcase-medical",
                    "bug",
                    "building",
                    "bullhorn",
                    "bullseye",
                    "burn",
                    "bus",
                    "calculator",
                    "calendar",
                    "calendar-alt",
                    "calendar-check",
                    "calendar-minus",
                    "calendar-plus",
                    "calendar-times",
                    "camera",
                    "camera-retro",
                    "capsules",
                    "car",
                    "caret-down",
                    "caret-left",
                    "caret-right",
                    "caret-square-down",
                    "caret-square-left",
                    "caret-square-right",
                    "caret-square-up",
                    "caret-up",
                    "cart-arrow-down",
                    "cart-plus",
                    "certificate",
                    "chart-area",
                    "chart-bar",
                    "chart-line",
                    "chart-pie",
                    "check",
                    "check-circle",
                    "check-square",
                    "chess",
                    "chess-bishop",
                    "chess-board",
                    "chess-king",
                    "chess-knight",
                    "chess-pawn",
                    "chess-queen",
                    "chess-rook",
                    "chevron-circle-down",
                    "chevron-circle-left",
                    "chevron-circle-right",
                    "chevron-circle-up",
                    "chevron-down",
                    "chevron-left",
                    "chevron-right",
                    "chevron-up",
                    "child",
                    "circle",
                    "circle-notch",
                    "clipboard",
                    "clipboard-check",
                    "clipboard-list",
                    "clock",
                    "clone",
                    "closed-captioning",
                    "cloud",
                    "cloud-download-alt",
                    "cloud-upload-alt",
                    "code",
                    "code-branch",
                    "coffee",
                    "cog",
                    "cogs",
                    "columns",
                    "comment",
                    "comment-alt",
                    "comment-dots",
                    "comment-slash",
                    "comments",
                    "compass",
                    "compress",
                    "copy",
                    "copyright",
                    "couch",
                    "credit-card",
                    "crop",
                    "crosshairs",
                    "cube",
                    "cubes",
                    "cut",
                    "database",
                    "deaf",
                    "desktop",
                    "diagnoses",
                    "dna",
                    "dollar-sign",
                    "dolly",
                    "dolly-flatbed",
                    "donate",
                    "dot-circle",
                    "dove",
                    "download",
                    "edit",
                    "eject",
                    "ellipsis-h",
                    "ellipsis-v",
                    "envelope",
                    "envelope-open",
                    "envelope-square",
                    "eraser",
                    "euro-sign",
                    "exchange-alt",
                    "exclamation",
                    "exclamation-circle",
                    "exclamation-triangle",
                    "expand",
                    "expand-arrows-alt",
                    "external-link-alt",
                    "external-link-square-alt",
                    "eye",
                    "eye-dropper",
                    "eye-slash",
                    "fast-backward",
                    "fast-forward",
                    "fax",
                    "female",
                    "fighter-jet",
                    "file",
                    "file-alt",
                    "file-archive",
                    "file-audio",
                    "file-code",
                    "file-excel",
                    "file-image",
                    "file-medical",
                    "file-medical-alt",
                    "file-pdf",
                    "file-powerpoint",
                    "file-video",
                    "file-word",
                    "film",
                    "filter",
                    "fire",
                    "fire-extinguisher",
                    "first-aid",
                    "flag",
                    "flag-checkered",
                    "flask",
                    "folder",
                    "folder-open",
                    "font",
                    "font-awesome-logo-full",
                    "football-ball",
                    "forward",
                    "frown",
                    "futbol",
                    "gamepad",
                    "gavel",
                    "gem",
                    "genderless",
                    "gift",
                    "glass-martini",
                    "globe",
                    "golf-ball",
                    "graduation-cap",
                    "h-square",
                    "hand-holding",
                    "hand-holding-heart",
                    "hand-holding-usd",
                    "hand-lizard",
                    "hand-paper",
                    "hand-peace",
                    "hand-point-down",
                    "hand-point-left",
                    "hand-point-right",
                    "hand-point-up",
                    "hand-pointer",
                    "hand-rock",
                    "hand-scissors",
                    "hand-spock",
                    "hands",
                    "hands-helping",
                    "handshake",
                    "hashtag",
                    "hdd",
                    "heading",
                    "headphones",
                    "heart",
                    "heartbeat",
                    "history",
                    "hockey-puck",
                    "home",
                    "hospital",
                    "hospital-alt",
                    "hospital-symbol",
                    "hourglass",
                    "hourglass-end",
                    "hourglass-half",
                    "hourglass-start",
                    "i-cursor",
                    "id-badge",
                    "id-card",
                    "id-card-alt",
                    "image",
                    "images",
                    "inbox",
                    "indent",
                    "industry",
                    "info",
                    "info-circle",
                    "italic",
                    "key",
                    "keyboard",
                    "language",
                    "laptop",
                    "leaf",
                    "lemon",
                    "level-down-alt",
                    "level-up-alt",
                    "life-ring",
                    "lightbulb",
                    "link",
                    "lira-sign",
                    "list",
                    "list-alt",
                    "list-ol",
                    "list-ul",
                    "location-arrow",
                    "lock",
                    "lock-open",
                    "long-arrow-alt-down",
                    "long-arrow-alt-left",
                    "long-arrow-alt-right",
                    "long-arrow-alt-up",
                    "low-vision",
                    "magic",
                    "magnet",
                    "male",
                    "map",
                    "map-marker",
                    "map-marker-alt",
                    "map-pin",
                    "map-signs",
                    "mars",
                    "mars-double",
                    "mars-stroke",
                    "mars-stroke-h",
                    "mars-stroke-v",
                    "medkit",
                    "meh",
                    "mercury",
                    "microchip",
                    "microphone",
                    "microphone-slash",
                    "minus",
                    "minus-circle",
                    "minus-square",
                    "mobile",
                    "mobile-alt",
                    "money-bill-alt",
                    "moon",
                    "motorcycle",
                    "mouse-pointer",
                    "music",
                    "neuter",
                    "newspaper",
                    "notes-medical",
                    "object-group",
                    "object-ungroup",
                    "outdent",
                    "paint-brush",
                    "pallet",
                    "paper-plane",
                    "paperclip",
                    "parachute-box",
                    "paragraph",
                    "paste",
                    "pause",
                    "pause-circle",
                    "paw",
                    "pen-square",
                    "pencil-alt",
                    "people-carry",
                    "percent",
                    "phone",
                    "phone-slash",
                    "phone-square",
                    "phone-volume",
                    "piggy-bank",
                    "pills",
                    "plane",
                    "play",
                    "play-circle",
                    "plug",
                    "plus",
                    "plus-circle",
                    "plus-square",
                    "podcast",
                    "poo",
                    "portrait",
                    "pound-sign",
                    "power-off",
                    "prescription-bottle",
                    "prescription-bottle-alt",
                    "print",
                    "procedures",
                    "puzzle-piece",
                    "qrcode",
                    "question",
                    "question-circle",
                    "quidditch",
                    "quote-left",
                    "quote-right",
                    "random",
                    "recycle",
                    "redo",
                    "redo-alt",
                    "registered",
                    "reply",
                    "reply-all",
                    "retweet",
                    "ribbon",
                    "road",
                    "rocket",
                    "rss",
                    "rss-square",
                    "ruble-sign",
                    "rupee-sign",
                    "save",
                    "search",
                    "search-minus",
                    "search-plus",
                    "seedling",
                    "server",
                    "share",
                    "share-alt",
                    "share-alt-square",
                    "share-square",
                    "shekel-sign",
                    "shield-alt",
                    "ship",
                    "shipping-fast",
                    "shopping-bag",
                    "shopping-basket",
                    "shopping-cart",
                    "shower",
                    "sign",
                    "sign-in-alt",
                    "sign-language",
                    "sign-out-alt",
                    "signal",
                    "sitemap",
                    "sliders-h",
                    "smile",
                    "smoking",
                    "snowflake",
                    "sort",
                    "sort-alpha-down",
                    "sort-alpha-up",
                    "sort-amount-down",
                    "sort-amount-up",
                    "sort-down",
                    "sort-numeric-down",
                    "sort-numeric-up",
                    "sort-up",
                    "space-shuttle",
                    "spinner",
                    "square",
                    "square-full",
                    "star",
                    "star-half",
                    "step-backward",
                    "step-forward",
                    "stethoscope",
                    "sticky-note",
                    "stop",
                    "stop-circle",
                    "stopwatch",
                    "street-view",
                    "strikethrough",
                    "subscript",
                    "subway",
                    "suitcase",
                    "sun",
                    "superscript",
                    "sync",
                    "sync-alt",
                    "syringe",
                    "table",
                    "table-tennis",
                    "tablet",
                    "tablet-alt",
                    "tablets",
                    "tachometer-alt",
                    "tag",
                    "tags",
                    "tape",
                    "tasks",
                    "taxi",
                    "terminal",
                    "text-height",
                    "text-width",
                    "th",
                    "th-large",
                    "th-list",
                    "thermometer",
                    "thermometer-empty",
                    "thermometer-full",
                    "thermometer-half",
                    "thermometer-quarter",
                    "thermometer-three-quarters",
                    "thumbs-down",
                    "thumbs-up",
                    "thumbtack",
                    "ticket-alt",
                    "times",
                    "times-circle",
                    "tint",
                    "toggle-off",
                    "toggle-on",
                    "trademark",
                    "train",
                    "transgender",
                    "transgender-alt",
                    "trash",
                    "trash-alt",
                    "tree",
                    "trophy",
                    "truck",
                    "truck-loading",
                    "truck-moving",
                    "tty",
                    "tv",
                    "umbrella",
                    "underline",
                    "undo",
                    "undo-alt",
                    "universal-access",
                    "university",
                    "unlink",
                    "unlock",
                    "unlock-alt",
                    "upload",
                    "user",
                    "user-alt",
                    "user-alt-slash",
                    "user-astronaut",
                    "user-check",
                    "user-circle",
                    "user-clock",
                    "user-cog",
                    "user-edit",
                    "user-friends",
                    "user-graduate",
                    "user-lock",
                    "user-md",
                    "user-minus",
                    "user-ninja",
                    "user-plus",
                    "user-secret",
                    "user-shield",
                    "user-slash",
                    "user-tag",
                    "user-tie",
                    "user-times",
                    "users",
                    "users-cog",
                    "utensil-spoon",
                    "utensils",
                    "venus",
                    "venus-double",
                    "venus-mars",
                    "vial",
                    "vials",
                    "video",
                    "video-slash",
                    "volleyball-ball",
                    "volume-down",
                    "volume-off",
                    "volume-up",
                    "warehouse",
                    "weight",
                    "wheelchair",
                    "wifi",
                    "window-close",
                    "window-maximize",
                    "window-minimize",
                    "window-restore",
                    "wine-glass",
                    "won-sign",
                    "wrench",
                    "x-ray",
                    "yen-sign",
                ];
                options[1] = 'fa';
            } else if (options[0] == 'devicons') {
                icons = [
                    "git_compare",
                    "git_branch",
                    "git_commit",
                    "git_pull_request",
                    "git_merge",
                    "bitbucket",
                    "github_alt",
                    "github_badge",
                    "github",
                    "github_full",
                    "trello",
                    "atlassian",
                    "jira",
                    "java",
                    "ruby",
                    "scala",
                    "python",
                    "go",
                    "ruby_on_rails",
                    "django",
                    "markdown",
                    "php",
                    "symfony",
                    "symfony_badge",
                    "mysql",
                    "streamline",
                    "database",
                    "laravel",
                    "javascript",
                    "angular",
                    "backbone",
                    "snap_svg",
                    "raphael",
                    "coffeescript",
                    "jquery",
                    "modernizr",
                    "jquery_ui",
                    "ember",
                    "dojo",
                    "nodejs",
                    "nodejs_small",
                    "javascript_shield",
                    "bootstrap",
                    "sass",
                    "compass",
                    "less",
                    "stylus",
                    "css3_full",
                    "css3",
                    "html5",
                    "html5_multimedia",
                    "html5_device_access",
                    "html5_3d_effects",
                    "html5_connectivity",
                    "ghost_small",
                    "ghost",
                    "magento",
                    "joomla",
                    "jekyll_small",
                    "drupal",
                    "wordpress",
                    "grunt",
                    "bower",
                    "gulp",
                    "npm",
                    "yahoo_small",
                    "yahoo",
                    "bing_small",
                    "cisco",
                    "windows",
                    "linux",
                    "ubuntu",
                    "android",
                    "apple",
                    "appstore",
                    "phonegap",
                    "swift",
                    "blackberry",
                    "stackoverflow",
                    "techcrunch",
                    "codrops",
                    "css_tricks",
                    "envato",
                    "smashing_magazine",
                    "netmagazine",
                    "codepen",
                    "cssdeck",
                    "hackernews",
                    "dropbox",
                    "onedrive",
                    "google_drive",
                    "visualstudio",
                    "atom",
                    "unity_small",
                    "rasberry_pi",
                    "chrome",
                    "ie",
                    "firefox",
                    "opera",
                    "safari",
                    "nancy",
                    "clojure",
                    "clojure_alt",
                    "perl",
                    "celluloid",
                    "w3c",
                    "redis",
                    "postgresql",
                    "webplatform",
                    "jenkins",
                    "requirejs",
                    "opensource",
                    "typo3",
                    "uikit",
                    "doctrine",
                    "groovy",
                    "nginx",
                    "haskell",
                    "zend",
                    "gnu",
                    "yeoman",
                    "heroku",
                    "debian",
                    "travis",
                    "dotnet",
                    "codeigniter",
                    "javascript_badge",
                    "yii",
                    "msql_server",
                    "composer",
                    "krakenjs_badge",
                    "krakenjs",
                    "mozilla",
                    "firebase",
                    "sizzlejs",
                    "creativecommons",
                    "creativecommons_badge",
                    "mitlicence",
                    "senchatouch",
                    "bugsense",
                    "extjs",
                    "mootools_badge",
                    "mootools",
                    "ruby_rough",
                    "komodo",
                    "coda",
                    "bintray",
                    "terminal",
                    "terminal_badge",
                    "code",
                    "code_badge",
                    "responsive",
                    "dart",
                    "aptana",
                    "mailchimp",
                    "netbeans",
                    "dreamweaver",
                    "brackets",
                    "eclipse",
                    "cloud9",
                    "scrum",
                    "prolog",
                    "mongodb",
                    "sublime",
                    "meteor",
                    "meteorfull",
                    "fsharp",
                    "rust",
                    "ionic",
                    "appcelerator",
                    "asterisk",
                    "aws",
                    "digital-ocean",
                    "dlang",
                    "docker",
                    "erlang",
                    "google-cloud-platform",
                    "grails",
                    "illustrator",
                    "intellij",
                    "materializecss",
                    "openshift",
                    "photoshop",
                    "rackspace",
                    "react",
                    "redhat",
                    "scriptcs",
                    "sqllite",
                    "vim",
                ];
                options[1] = 'devicons';
            } else if (options[0] == 'lnr') {
                icons = [
                    "home",
                    "apartment",
                    "pencil",
                    "magic-wand",
                    "drop",
                    "lighter",
                    "poop",
                    "sun",
                    "moon",
                    "cloud",
                    "cloud-upload",
                    "cloud-download",
                    "cloud-sync",
                    "cloud-check",
                    "database",
                    "lock",
                    "cog",
                    "trash",
                    "dice",
                    "heart",
                    "star",
                    "star-half",
                    "star-empty",
                    "flag",
                    "envelope",
                    "paperclip",
                    "inbox",
                    "eye",
                    "printer",
                    "file-empty",
                    "file-add",
                    "enter",
                    "exit",
                    "graduation-hat",
                    "license",
                    "music-note",
                    "film-play",
                    "camera-video",
                    "camera",
                    "picture",
                    "book",
                    "bookmark",
                    "user",
                    "users",
                    "shirt",
                    "store",
                    "cart",
                    "tag",
                    "phone-handset",
                    "phone",
                    "pushpin",
                    "map-marker",
                    "map",
                    "location",
                    "calendar-full",
                    "keyboard",
                    "spell-check",
                    "screen",
                    "smartphone",
                    "tablet",
                    "laptop",
                    "laptop-phone",
                    "power-switch",
                    "bubble",
                    "heart-pulse",
                    "construction",
                    "pie-chart",
                    "chart-bars",
                    "gift",
                    "diamond",
                    "linearicons",
                    "dinner",
                    "coffee-cup",
                    "leaf",
                    "paw",
                    "rocket",
                    "briefcase",
                    "bus",
                    "car",
                    "train",
                    "bicycle",
                    "wheelchair",
                    "select",
                    "earth",
                    "smile",
                    "sad",
                    "neutral",
                    "mustache",
                    "alarm",
                    "bullhorn",
                    "volume-high",
                    "volume-medium",
                    "volume-low",
                    "volume",
                    "mic",
                    "hourglass",
                    "undo",
                    "redo",
                    "sync",
                    "history",
                    "clock",
                    "download",
                    "upload",
                    "enter-down",
                    "exit-up",
                    "bug",
                    "code",
                    "link",
                    "unlink",
                    "thumbs-up",
                    "thumbs-down",
                    "magnifier",
                    "cross",
                    "menu",
                    "list",
                    "chevron-up",
                    "chevron-down",
                    "chevron-left",
                    "chevron-right",
                    "arrow-up",
                    "arrow-down",
                    "arrow-left",
                    "arrow-right",
                    "move",
                    "warning",
                    "question-circle",
                    "menu-circle",
                    "checkmark-circle",
                    "cross-circle",
                    "plus-circle",
                    "circle-minus",
                    "arrow-up-circle",
                    "arrow-down-circle",
                    "arrow-left-circle",
                    "arrow-right-circle",
                    "chevron-up-circle",
                    "chevron-down-circle",
                    "chevron-left-circle",
                    "chevron-right-circle",
                    "crop",
                    "frame-expand",
                    "frame-contract",
                    "layers",
                    "funnel",
                    "text-format",
                    "text-format-remove",
                    "text-size",
                    "bold",
                    "italic",
                    "underline",
                    "strikethrough",
                    "highlight",
                    "text-align-left",
                    "text-align-center",
                    "text-align-right",
                    "text-align-justify",
                    "line-spacing",
                    "indent-increase",
                    "indent-decrease",
                    "pilcrow",
                    "direction-ltr",
                    "direction-rtl",
                    "page-break",
                    "sort-alpha-asc",
                    "sort-amount-asc",
                    "hand",
                    "pointer-up",
                    "pointer-right",
                    "pointer-down",
                    "pointer-left"
                ];
                options[1] = 'lnr';
            } else if (options[0] == 'typcn') {
                icons = [
                    "adjust-brightness",
                    "adjust-contrast",
                    "anchor-outline",
                    "anchor",
                    "archive",
                    "arrow-back-outline",
                    "arrow-back",
                    "arrow-down-outline",
                    "arrow-down-thick",
                    "arrow-down",
                    "arrow-forward-outline",
                    "arrow-forward",
                    "arrow-left-outline",
                    "arrow-left-thick",
                    "arrow-left",
                    "arrow-loop-outline",
                    "arrow-loop",
                    "arrow-maximise-outline",
                    "arrow-maximise",
                    "arrow-minimise-outline",
                    "arrow-minimise",
                    "arrow-move-outline",
                    "arrow-move",
                    "arrow-repeat-outline",
                    "arrow-repeat",
                    "arrow-right-outline",
                    "arrow-right-thick",
                    "arrow-right",
                    "arrow-shuffle",
                    "arrow-sorted-down",
                    "arrow-sorted-up",
                    "arrow-sync-outline",
                    "arrow-sync",
                    "arrow-unsorted",
                    "arrow-up-outline",
                    "arrow-up-thick",
                    "arrow-up",
                    "at",
                    "attachment-outline",
                    "attachment",
                    "backspace-outline",
                    "backspace",
                    "battery-charge",
                    "battery-full",
                    "battery-high",
                    "battery-low",
                    "battery-mid",
                    "beaker",
                    "beer",
                    "bell",
                    "book",
                    "bookmark",
                    "briefcase",
                    "brush",
                    "business-card",
                    "calculator",
                    "calendar-outline",
                    "calendar",
                    "camera-outline",
                    "camera",
                    "cancel-outline",
                    "cancel",
                    "chart-area-outline",
                    "chart-area",
                    "chart-bar-outline",
                    "chart-bar",
                    "chart-line-outline",
                    "chart-line",
                    "chart-pie-outline",
                    "chart-pie",
                    "chevron-left-outline",
                    "chevron-left",
                    "chevron-right-outline",
                    "chevron-right",
                    "clipboard",
                    "cloud-storage",
                    "cloud-storage-outline",
                    "code-outline",
                    "code",
                    "coffee",
                    "cog-outline",
                    "cog",
                    "compass",
                    "contacts",
                    "credit-card",
                    "css3",
                    "database",
                    "delete-outline",
                    "delete",
                    "device-desktop",
                    "device-laptop",
                    "device-phone",
                    "device-tablet",
                    "directions",
                    "divide-outline",
                    "divide",
                    "document-add",
                    "document-delete",
                    "document-text",
                    "document",
                    "download-outline",
                    "download",
                    "dropbox",
                    "edit",
                    "eject-outline",
                    "eject",
                    "equals-outline",
                    "equals",
                    "export-outline",
                    "export",
                    "eye-outline",
                    "eye",
                    "feather",
                    "film",
                    "filter",
                    "flag-outline",
                    "flag",
                    "flash-outline",
                    "flash",
                    "flow-children",
                    "flow-merge",
                    "flow-parallel",
                    "flow-switch",
                    "folder-add",
                    "folder-delete",
                    "folder-open",
                    "folder",
                    "gift",
                    "globe-outline",
                    "globe",
                    "group-outline",
                    "group",
                    "headphones",
                    "heart-full-outline",
                    "heart-half-outline",
                    "heart-outline",
                    "heart",
                    "home-outline",
                    "home",
                    "html5",
                    "image-outline",
                    "image",
                    "infinity-outline",
                    "infinity",
                    "info-large-outline",
                    "info-large",
                    "info-outline",
                    "info",
                    "input-checked-outline",
                    "input-checked",
                    "key-outline",
                    "key",
                    "keyboard",
                    "leaf",
                    "lightbulb",
                    "link-outline",
                    "link",
                    "location-arrow-outline",
                    "location-arrow",
                    "location-outline",
                    "location",
                    "lock-closed-outline",
                    "lock-closed",
                    "lock-open-outline",
                    "lock-open",
                    "mail",
                    "map",
                    "media-eject-outline",
                    "media-eject",
                    "media-fast-forward-outline",
                    "media-fast-forward",
                    "media-pause-outline",
                    "media-pause",
                    "media-play-outline",
                    "media-play-reverse-outline",
                    "media-play-reverse",
                    "media-play",
                    "media-record-outline",
                    "media-record",
                    "media-rewind-outline",
                    "media-rewind",
                    "media-stop-outline",
                    "media-stop",
                    "message-typing",
                    "message",
                    "messages",
                    "microphone-outline",
                    "microphone",
                    "minus-outline",
                    "minus",
                    "mortar-board",
                    "news",
                    "notes-outline",
                    "notes",
                    "pen",
                    "pencil",
                    "phone-outline",
                    "phone",
                    "pi-outline",
                    "pi",
                    "pin-outline",
                    "pin",
                    "pipette",
                    "plane-outline",
                    "plane",
                    "plug",
                    "plus-outline",
                    "plus",
                    "point-of-interest-outline",
                    "point-of-interest",
                    "power-outline",
                    "power",
                    "printer",
                    "puzzle-outline",
                    "puzzle",
                    "radar-outline",
                    "radar",
                    "refresh-outline",
                    "refresh",
                    "rss-outline",
                    "rss",
                    "scissors-outline",
                    "scissors",
                    "shopping-bag",
                    "shopping-cart",
                    "social-at-circular",
                    "social-dribbble-circular",
                    "social-dribbble",
                    "social-facebook-circular",
                    "social-facebook",
                    "social-flickr-circular",
                    "social-flickr",
                    "social-github-circular",
                    "social-github",
                    "social-google-plus-circular",
                    "social-google-plus",
                    "social-instagram-circular",
                    "social-instagram",
                    "social-last-fm-circular",
                    "social-last-fm",
                    "social-linkedin-circular",
                    "social-linkedin",
                    "social-pinterest-circular",
                    "social-pinterest",
                    "social-skype-outline",
                    "social-skype",
                    "social-tumbler-circular",
                    "social-tumbler",
                    "social-twitter-circular",
                    "social-twitter",
                    "social-vimeo-circular",
                    "social-vimeo",
                    "social-youtube-circular",
                    "social-youtube",
                    "sort-alphabetically-outline",
                    "sort-alphabetically",
                    "sort-numerically-outline",
                    "sort-numerically",
                    "spanner-outline",
                    "spanner",
                    "spiral",
                    "star-full-outline",
                    "star-half-outline",
                    "star-half",
                    "star-outline",
                    "star",
                    "starburst-outline",
                    "starburst",
                    "stopwatch",
                    "support",
                    "tabs-outline",
                    "tag",
                    "tags",
                    "th-large-outline",
                    "th-large",
                    "th-list-outline",
                    "th-list",
                    "th-menu-outline",
                    "th-menu",
                    "th-small-outline",
                    "th-small",
                    "thermometer",
                    "thumbs-down",
                    "thumbs-ok",
                    "thumbs-up",
                    "tick-outline",
                    "tick",
                    "ticket",
                    "time",
                    "times-outline",
                    "times",
                    "trash",
                    "tree",
                    "upload-outline",
                    "upload",
                    "user-add-outline",
                    "user-add",
                    "user-delete-outline",
                    "user-delete",
                    "user-outline",
                    "user",
                    "vendor-android",
                    "vendor-apple",
                    "vendor-microsoft",
                    "video-outline",
                    "video",
                    "volume-down",
                    "volume-mute",
                    "volume-up",
                    "volume",
                    "warning-outline",
                    "warning",
                    "watch",
                    "waves-outline",
                    "waves",
                    "weather-cloudy",
                    "weather-downpour",
                    "weather-night",
                    "weather-partly-sunny",
                    "weather-shower",
                    "weather-snow",
                    "weather-stormy",
                    "weather-sunny",
                    "weather-windy-cloudy",
                    "weather-windy",
                    "wi-fi-outline",
                    "wi-fi",
                    "wine",
                    "world-outline",
                    "world",
                    "zoom-in-outline",
                    "zoom-in",
                    "zoom-out-outline",
                    "zoom-out",
                    "zoom-outline",
                    "zoom",
                ];
                options[1] = 'typcn';
            } else if (options[0] == 'el') {
                icons = [
                    "address-book",
                    "address-book-alt",
                    "adjust",
                    "adjust-alt",
                    "adult",
                    "align-center",
                    "align-justify",
                    "align-left",
                    "align-right",
                    "arrow-down",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up",
                    "asl",
                    "asterisk",
                    "backward",
                    "ban-circle",
                    "barcode",
                    "bell",
                    "blind",
                    "bold",
                    "book",
                    "bookmark",
                    "bookmark-empty",
                    "braille",
                    "briefcase",
                    "broom",
                    "brush",
                    "bulb",
                    "bullhorn",
                    "calendar",
                    "calendar-sign",
                    "camera",
                    "car",
                    "caret-down",
                    "caret-left",
                    "caret-right",
                    "caret-up",
                    "cc",
                    "certificate",
                    "check",
                    "chevron-down",
                    "chevron-left",
                    "chevron-right",
                    "chevron-up",
                    "child",
                    "circle-arrow-down",
                    "circle-arrow-left",
                    "circle-arrow-right",
                    "circle-arrow-up",
                    "cloud",
                    "cloud-alt",
                    "cog",
                    "cog-alt",
                    "cogs",
                    "comment",
                    "comment-alt",
                    "compass",
                    "compass-alt",
                    "credit-card",
                    "css",
                    "dashboard",
                    "download",
                    "download-alt",
                    "dribbble",
                    "edit",
                    "eject",
                    "envelope",
                    "envelope-alt",
                    "error",
                    "error-alt",
                    "eur",
                    "exclamation-sign",
                    "eye-close",
                    "eye-open",
                    "facetime-video",
                    "fast-backward",
                    "fast-forward",
                    "female",
                    "file",
                    "file-alt",
                    "file-edit",
                    "file-edit-alt",
                    "file-new",
                    "file-new-alt",
                    "film",
                    "filter",
                    "fire",
                    "flag",
                    "flag-alt",
                    "flickr",
                    "folder",
                    "folder-close",
                    "folder-open",
                    "folder-sign",
                    "font",
                    "fontsize",
                    "fork",
                    "forward",
                    "forward-alt",
                    "foursquare",
                    "friendfeed",
                    "friendfeed-rect",
                    "fullscreen",
                    "gbp",
                    "gift",
                    "github",
                    "github-text",
                    "glass",
                    "glasses",
                    "globe",
                    "globe-alt",
                    "googleplus",
                    "graph",
                    "graph-alt",
                    "group",
                    "group-alt",
                    "guidedog",
                    "hand-down",
                    "hand-left",
                    "hand-right",
                    "hand-up",
                    "hdd",
                    "headphones",
                    "hearing-impaired",
                    "heart",
                    "heart-alt",
                    "heart-empty",
                    "home",
                    "home-alt",
                    "hourglass",
                    "idea",
                    "idea-alt",
                    "inbox",
                    "inbox-alt",
                    "inbox-box",
                    "indent-left",
                    "indent-right",
                    "info-circle",
                    "iphone-home",
                    "italic",
                    "key",
                    "laptop",
                    "laptop-alt",
                    "leaf",
                    "lines",
                    "link",
                    "list",
                    "list-alt",
                    "lock",
                    "lock-alt",
                    "magic",
                    "magnet",
                    "male",
                    "map-marker",
                    "map-marker-alt",
                    "mic",
                    "mic-alt",
                    "minus",
                    "minus-sign",
                    "move",
                    "music",
                    "network",
                    "off",
                    "ok",
                    "ok-circle",
                    "ok-sign",
                    "opensource",
                    "paper-clip",
                    "paper-clip-alt",
                    "path",
                    "pause",
                    "pause-alt",
                    "pencil",
                    "pencil-alt",
                    "person",
                    "phone",
                    "phone-alt",
                    "photo",
                    "photo-alt",
                    "picture",
                    "pinterest",
                    "plane",
                    "play",
                    "play-alt",
                    "play-circle",
                    "plus",
                    "plus-sign",
                    "podcast",
                    "print",
                    "puzzle",
                    "qrcode",
                    "question",
                    "question-sign",
                    "quote-alt",
                    "quote-right",
                    "quote-right-alt",
                    "quotes",
                    "random",
                    "record",
                    "refresh",
                    "remove",
                    "remove-circle",
                    "remove-sign",
                    "repeat",
                    "repeat-alt",
                    "resize-full",
                    "resize-horizontal",
                    "resize-small",
                    "resize-vertical",
                    "return-key",
                    "retweet",
                    "reverse-alt",
                    "road",
                    "rss",
                    "scissors",
                    "screen",
                    "screen-alt",
                    "screenshot",
                    "search",
                    "search-alt",
                    "share",
                    "share-alt",
                    "shopping-cart",
                    "shopping-cart-sign",
                    "signal",
                    "smiley",
                    "smiley-alt",
                    "speaker",
                    "stackoverflow",
                    "star",
                    "star-alt",
                    "star-empty",
                    "step-backward",
                    "step-forward",
                    "stop",
                    "stop-alt",
                    "tag",
                    "tags",
                    "tasks",
                    "text-height",
                    "text-width",
                    "th",
                    "th-large",
                    "th-list",
                    "thumbs-down",
                    "thumbs-up",
                    "time",
                    "time-alt",
                    "tint",
                    "torso",
                    "trash",
                    "trash-alt",
                    "universal-access",
                    "unlock",
                    "unlock-alt",
                    "upload",
                    "usd",
                    "user",
                    "video",
                    "video-alt",
                    "video-chat",
                    "view-mode",
                    "volume-down",
                    "volume-off",
                    "volume-up",
                    "warning-sign",
                    "website",
                    "website-alt",
                    "wheelchair",
                    "wordpress",
                    "wrench",
                    "wrench-alt",
                    "zoom-in",
                    "zoom-out",
                ];
                options[1] = 'el';
            } else if (options[0] == 'step') {
                icons = [
                    "address-book",
                    "alert",
                    "align-center",
                    "align-justify",
                    "align-left",
                    "align-right",
                    "anchor",
                    "annotate",
                    "archive",
                    "arrow-down",
                    "arrow-left",
                    "arrow-right",
                    "arrow-up",
                    "arrows-compress",
                    "arrows-expand",
                    "arrows-in",
                    "arrows-out",
                    "asl",
                    "asterisk",
                    "at-sign",
                    "background-color",
                    "battery-empty",
                    "battery-full",
                    "battery-half",
                    "bitcoin-circle",
                    "bitcoin",
                    "blind",
                    "bluetooth",
                    "bold",
                    "book-bookmark",
                    "book",
                    "bookmark",
                    "braille",
                    "burst-new",
                    "burst-sale",
                    "burst",
                    "calendar",
                    "camera",
                    "check",
                    "checkbox",
                    "clipboard-notes",
                    "clipboard-pencil",
                    "clipboard",
                    "clock",
                    "closed-caption",
                    "cloud",
                    "comment-minus",
                    "comment-quotes",
                    "comment-video",
                    "comment",
                    "comments",
                    "compass",
                    "contrast",
                    "credit-card",
                    "crop",
                    "crown",
                    "css3",
                    "database",
                    "die-five",
                    "die-four",
                    "die-one",
                    "die-six",
                    "die-three",
                    "die-two",
                    "dislike",
                    "dollar-bill",
                    "dollar",
                    "download",
                    "eject",
                    "elevator",
                    "euro",
                    "eye",
                    "fast-forward",
                    "female-symbol",
                    "female",
                    "filter",
                    "first-aid",
                    "flag",
                    "folder-add",
                    "folder-lock",
                    "folder",
                    "foot",
                    "foundation",
                    "graph-bar",
                    "graph-horizontal",
                    "graph-pie",
                    "graph-trend",
                    "guide-dog",
                    "hearing-aid",
                    "heart",
                    "home",
                    "html5",
                    "indent-less",
                    "indent-more",
                    "info",
                    "italic",
                    "key",
                    "laptop",
                    "layout",
                    "lightbulb",
                    "like",
                    "link",
                    "list-bullet",
                    "list-number",
                    "list-thumbnails",
                    "list",
                    "lock",
                    "loop",
                    "magnifying-glass",
                    "mail",
                    "male-female",
                    "male-symbol",
                    "male",
                    "map",
                    "marker",
                    "megaphone",
                    "microphone",
                    "minus-circle",
                    "minus",
                    "mobile-signal",
                    "mobile",
                    "monitor",
                    "mountains",
                    "music",
                    "next",
                    "no-dogs",
                    "no-smoking",
                    "page-add",
                    "page-copy",
                    "page-csv",
                    "page-delete",
                    "page-doc",
                    "page-edit",
                    "page-export-csv",
                    "page-export-doc",
                    "page-export-pdf",
                    "page-export",
                    "page-filled",
                    "page-multiple",
                    "page-pdf",
                    "page-remove",
                    "page-search",
                    "page",
                    "paint-bucket",
                    "paperclip",
                    "pause",
                    "paw",
                    "paypal",
                    "pencil",
                    "photo",
                    "play-circle",
                    "play-video",
                    "play",
                    "plus",
                    "pound",
                    "power",
                    "previous",
                    "price-tag",
                    "pricetag-multiple",
                    "print",
                    "prohibited",
                    "projection-screen",
                    "puzzle",
                    "quote",
                    "record",
                    "refresh",
                    "results-demographics",
                    "results",
                    "rewind-ten",
                    "rewind",
                    "rss",
                    "safety-cone",
                    "save",
                    "share",
                    "sheriff-badge",
                    "shield",
                    "shopping-bag",
                    "shopping-cart",
                    "shuffle",
                    "skull",
                    "social-500px",
                    "social-adobe",
                    "social-amazon",
                    "social-android",
                    "social-apple",
                    "social-behance",
                    "social-bing",
                    "social-blogger",
                    "social-delicious",
                    "social-designer-news",
                    "social-deviant-art",
                    "social-digg",
                    "social-dribbble",
                    "social-drive",
                    "social-dropbox",
                    "social-evernote",
                    "social-facebook",
                    "social-flickr",
                    "social-forrst",
                    "social-foursquare",
                    "social-game-center",
                    "social-github",
                    "social-google-plus",
                    "social-hacker-news",
                    "social-hi5",
                    "social-instagram",
                    "social-joomla",
                    "social-lastfm",
                    "social-linkedin",
                    "social-medium",
                    "social-myspace",
                    "social-orkut",
                    "social-path",
                    "social-picasa",
                    "social-pinterest",
                    "social-rdio",
                    "social-reddit",
                    "social-skillshare",
                    "social-skype",
                    "social-smashing-mag siz",
                    "social-snapchat",
                    "social-spotify",
                    "social-squidoo",
                    "social-stack-overflow",
                    "social-steam",
                    "social-stumbleupon",
                    "social-treehouse",
                    "social-tumblr",
                    "social-twitter",
                    "social-vimeo",
                    "social-windows",
                    "social-xbox",
                    "social-yahoo",
                    "social-yelp",
                    "social-youtube",
                    "social-zerply",
                    "social-zurb",
                    "sound",
                    "star",
                    "stop",
                    "strikethrough",
                    "subscript",
                    "superscript",
                    "tablet-landscape",
                    "tablet-portrait",
                    "target-two",
                    "target",
                    "telephone-accessible",
                    "telephone",
                    "text-color",
                    "thumbnails",
                    "ticket",
                    "torso-business",
                    "torso-female",
                    "torso",
                    "torsos-all-female",
                    "torsos-all",
                    "torsos-female-male",
                    "torsos-male-female",
                    "torsos",
                    "trash",
                    "trees",
                    "trophy",
                    "underline",
                    "universal-access",
                    "unlink",
                    "unlock",
                    "upload-cloud",
                    "upload",
                    "usb",
                    "video",
                    "volume-none",
                    "volume-strike",
                    "volume",
                    "web",
                    "wheelchair",
                    "widget",
                    "wrench",
                    "x-circle",
                    "x",
                    "yen",
                    "zoom-in",
                    "zoom-out",
                ];
                options[1] = 'fi';
            }
            /*else if (options[0] == 'md'){
             icons = [
             '3d_rotation',
             'ac_unit',
             'access_alarm',
             'access_alarms',
             'access_time',
             'accessibility',
             'accessible',
             'account_balance',
             'account_balance_wallet',
             'account_box',
             'account_circle',
             'adb',
             'add',
             'add_a_photo',
             'add_alarm',
             'add_alert',
             'add_box',
             'add_circle',
             'add_circle_outline',
             'add_location',
             'add_shopping_cart',
             'add_to_photos',
             'add_to_queue',
             'adjust',
             'airline_seat_flat',
             'airline_seat_flat_angled',
             'airline_seat_individual_suite',
             'airline_seat_legroom_extra',
             'airline_seat_legroom_normal',
             'airline_seat_legroom_reduced',
             'airline_seat_recline_extra',
             'airline_seat_recline_normal',
             'airplanemode_active',
             'airplanemode_inactive',
             'airplay',
             'airport_shuttle',
             'alarm',
             'alarm_add',
             'alarm_off',
             'alarm_on',
             'album',
             'all_inclusive',
             'all_out',
             'android',
             'announcement',
             'apps',
             'archive',
             'arrow_back',
             'arrow_downward',
             'arrow_drop_down',
             'arrow_drop_down_circle',
             'arrow_drop_up',
             'arrow_forward',
             'arrow_upward',
             'art_track',
             'aspect_ratio',
             'assessment',
             'assignment',
             'assignment_ind',
             'assignment_late',
             'assignment_return',
             'assignment_returned',
             'assignment_turned_in',
             'assistant',
             'assistant_photo',
             'attach_file',
             'attach_money',
             'attachment',
             'audiotrack',
             'autorenew',
             'av_timer',
             'backspace',
             'backup',
             'battery_alert',
             'battery_charging_full',
             'battery_full',
             'battery_std',
             'battery_unknown',
             'beach_access',
             'beenhere',
             'block',
             'bluetooth',
             'bluetooth_audio',
             'bluetooth_connected',
             'bluetooth_disabled',
             'bluetooth_searching',
             'blur_circular',
             'blur_linear',
             'blur_off',
             'blur_on',
             'book',
             'bookmark',
             'bookmark_border',
             'border_all',
             'border_bottom',
             'border_clear',
             'border_color',
             'border_horizontal',
             'border_inner',
             'border_left',
             'border_outer',
             'border_right',
             'border_style',
             'border_top',
             'border_vertical',
             'branding_watermark',
             'brightness_1',
             'brightness_2',
             'brightness_3',
             'brightness_4',
             'brightness_5',
             'brightness_6',
             'brightness_7',
             'brightness_auto',
             'brightness_high',
             'brightness_low',
             'brightness_medium',
             'broken_image',
             'brush',
             'bubble_chart',
             'bug_report',
             'build',
             'burst_mode',
             'business',
             'business_center',
             'cached',
             'cake',
             'call',
             'call_end',
             'call_made',
             'call_merge',
             'call_missed',
             'call_missed_outgoing',
             'call_received',
             'call_split',
             'call_to_action',
             'camera',
             'camera_alt',
             'camera_enhance',
             'camera_front',
             'camera_rear',
             'camera_roll',
             'cancel',
             'card_giftcard',
             'card_membership',
             'card_travel',
             'casino',
             'cast',
             'cast_connected',
             'center_focus_strong',
             'center_focus_weak',
             'change_history',
             'chat',
             'chat_bubble',
             'chat_bubble_outline',
             'check',
             'check_box',
             'check_box_outline_blank',
             'check_circle',
             'chevron_left',
             'chevron_right',
             'child_care',
             'child_friendly',
             'chrome_reader_mode',
             'class',
             'clear',
             'clear_all',
             'close',
             'closed_caption',
             'cloud',
             'cloud_circle',
             'cloud_done',
             'cloud_download',
             'cloud_off',
             'cloud_queue',
             'cloud_upload',
             'code',
             'collections',
             'collections_bookmark',
             'color_lens',
             'colorize',
             'comment',
             'compare',
             'compare_arrows',
             'computer',
             'confirmation_number',
             'contact_mail',
             'contact_phone',
             'contacts',
             'content_copy',
             'content_cut',
             'content_paste',
             'control_point',
             'control_point_duplicate',
             'copyright',
             'create',
             'create_new_folder',
             'credit_card',
             'crop',
             'crop_16_9',
             'crop_3_2',
             'crop_5_4',
             'crop_7_5',
             'crop_din',
             'crop_free',
             'crop_landscape',
             'crop_original',
             'crop_portrait',
             'crop_rotate',
             'crop_square',
             'dashboard',
             'data_usage',
             'date_range',
             'dehaze',
             'delete',
             'delete_forever',
             'delete_sweep',
             'description',
             'desktop_mac',
             'desktop_windows',
             'details',
             'developer_board',
             'developer_mode',
             'device_hub',
             'devices',
             'devices_other',
             'dialer_sip',
             'dialpad',
             'directions',
             'directions_bike',
             'directions_boat',
             'directions_bus',
             'directions_car',
             'directions_railway',
             'directions_run',
             'directions_subway',
             'directions_transit',
             'directions_walk',
             'disc_full',
             'dns',
             'do_not_disturb',
             'do_not_disturb_alt',
             'do_not_disturb_off',
             'do_not_disturb_on',
             'dock',
             'domain',
             'done',
             'done_all',
             'donut_large',
             'donut_small',
             'drafts',
             'drag_handle',
             'drive_eta',
             'dvr',
             'edit',
             'edit_location',
             'eject',
             'email',
             'enhanced_encryption',
             'equalizer',
             'error',
             'error_outline',
             'euro_symbol',
             'ev_station',
             'event',
             'event_available',
             'event_busy',
             'event_note',
             'event_seat',
             'exit_to_app',
             'expand_less',
             'expand_more',
             'explicit',
             'explore',
             'exposure',
             'exposure_neg_1',
             'exposure_neg_2',
             'exposure_plus_1',
             'exposure_plus_2',
             'exposure_zero',
             'extension',
             'face',
             'fast_forward',
             'fast_rewind',
             'favorite',
             'favorite_border',
             'featured_play_list',
             'featured_video',
             'feedback',
             'fiber_dvr',
             'fiber_manual_record',
             'fiber_new',
             'fiber_pin',
             'fiber_smart_record',
             'file_download',
             'file_upload',
             'filter',
             'filter_1',
             'filter_2',
             'filter_3',
             'filter_4',
             'filter_5',
             'filter_6',
             'filter_7',
             'filter_8',
             'filter_9',
             'filter_9_plus',
             'filter_b_and_w',
             'filter_center_focus',
             'filter_drama',
             'filter_frames',
             'filter_hdr',
             'filter_list',
             'filter_none',
             'filter_tilt_shift',
             'filter_vintage',
             'find_in_page',
             'find_replace',
             'fingerprint',
             'first_page',
             'fitness_center',
             'flag',
             'flare',
             'flash_auto',
             'flash_off',
             'flash_on',
             'flight',
             'flight_land',
             'flight_takeoff',
             'flip',
             'flip_to_back',
             'flip_to_front',
             'folder',
             'folder_open',
             'folder_shared',
             'folder_special',
             'font_download',
             'format_align_center',
             'format_align_justify',
             'format_align_left',
             'format_align_right',
             'format_bold',
             'format_clear',
             'format_color_fill',
             'format_color_reset',
             'format_color_text',
             'format_indent_decrease',
             'format_indent_increase',
             'format_italic',
             'format_line_spacing',
             'format_list_bulleted',
             'format_list_numbered',
             'format_paint',
             'format_quote',
             'format_shapes',
             'format_size',
             'format_strikethrough',
             'format_textdirection_l_to_r',
             'format_textdirection_r_to_l',
             'format_underlined',
             'forum',
             'forward',
             'forward_10',
             'forward_30',
             'forward_5',
             'free_breakfast',
             'fullscreen',
             'fullscreen_exit',
             'functions',
             'g_translate',
             'gamepad',
             'games',
             'gavel',
             'gesture',
             'get_app',
             'gif',
             'golf_course',
             'gps_fixed',
             'gps_not_fixed',
             'gps_off',
             'grade',
             'gradient',
             'grain',
             'graphic_eq',
             'grid_off',
             'grid_on',
             'group',
             'group_add',
             'group_work',
             'hd',
             'hdr_off',
             'hdr_on',
             'hdr_strong',
             'hdr_weak',
             'headset',
             'headset_mic',
             'healing',
             'hearing',
             'help',
             'help_outline',
             'high_quality',
             'highlight',
             'highlight_off',
             'history',
             'home',
             'hot_tub',
             'hotel',
             'hourglass_empty',
             'hourglass_full',
             'http',
             'https',
             'image',
             'image_aspect_ratio',
             'import_contacts',
             'import_export',
             'important_devices',
             'inbox',
             'indeterminate_check_box',
             'info',
             'info_outline',
             'input',
             'insert_chart',
             'insert_comment',
             'insert_drive_file',
             'insert_emoticon',
             'insert_invitation',
             'insert_link',
             'insert_photo',
             'invert_colors',
             'invert_colors_off',
             'iso',
             'keyboard',
             'keyboard_arrow_down',
             'keyboard_arrow_left',
             'keyboard_arrow_right',
             'keyboard_arrow_up',
             'keyboard_backspace',
             'keyboard_capslock',
             'keyboard_hide',
             'keyboard_return',
             'keyboard_tab',
             'keyboard_voice',
             'kitchen',
             'label',
             'label_outline',
             'landscape',
             'language',
             'laptop',
             'laptop_chromebook',
             'laptop_mac',
             'laptop_windows',
             'last_page',
             'launch',
             'layers',
             'layers_clear',
             'leak_add',
             'leak_remove',
             'lens',
             'library_add',
             'library_books',
             'library_music',
             'lightbulb_outline',
             'line_style',
             'line_weight',
             'linear_scale',
             'link',
             'linked_camera',
             'list',
             'live_help',
             'live_tv',
             'local_activity',
             'local_airport',
             'local_atm',
             'local_bar',
             'local_cafe',
             'local_car_wash',
             'local_convenience_store',
             'local_dining',
             'local_drink',
             'local_florist',
             'local_gas_station',
             'local_grocery_store',
             'local_hospital',
             'local_hotel',
             'local_laundry_service',
             'local_library',
             'local_mall',
             'local_movies',
             'local_offer',
             'local_parking',
             'local_pharmacy',
             'local_phone',
             'local_pizza',
             'local_play',
             'local_post_office',
             'local_printshop',
             'local_see',
             'local_shipping',
             'local_taxi',
             'location_city',
             'location_disabled',
             'location_off',
             'location_on',
             'location_searching',
             'lock',
             'lock_open',
             'lock_outline',
             'looks',
             'looks_3',
             'looks_4',
             'looks_5',
             'looks_6',
             'looks_one',
             'looks_two',
             'loop',
             'loupe',
             'low_priority',
             'loyalty',
             'mail',
             'mail_outline',
             'map',
             'markunread',
             'markunread_mailbox',
             'memory',
             'menu',
             'merge_type',
             'message',
             'mic',
             'mic_none',
             'mic_off',
             'mms',
             'mode_comment',
             'mode_edit',
             'monetization_on',
             'money_off',
             'monochrome_photos',
             'mood',
             'mood_bad',
             'more',
             'more_horiz',
             'more_vert',
             'motorcycle',
             'mouse',
             'move_to_inbox',
             'movie',
             'movie_creation',
             'movie_filter',
             'multiline_chart',
             'music_note',
             'music_video',
             'my_location',
             'nature',
             'nature_people',
             'navigate_before',
             'navigate_next',
             'navigation',
             'near_me',
             'network_cell',
             'network_check',
             'network_locked',
             'network_wifi',
             'new_releases',
             'next_week',
             'nfc',
             'no_encryption',
             'no_sim',
             'not_interested',
             'note',
             'note_add',
             'notifications',
             'notifications_active',
             'notifications_none',
             'notifications_off',
             'notifications_paused',
             'offline_pin',
             'ondemand_video',
             'opacity',
             'open_in_browser',
             'open_in_new',
             'open_with',
             'pages',
             'pageview',
             'palette',
             'pan_tool',
             'panorama',
             'panorama_fish_eye',
             'panorama_horizontal',
             'panorama_vertical',
             'panorama_wide_angle',
             'party_mode',
             'pause',
             'pause_circle_filled',
             'pause_circle_outline',
             'payment',
             'people',
             'people_outline',
             'perm_camera_mic',
             'perm_contact_calendar',
             'perm_data_setting',
             'perm_device_information',
             'perm_identity',
             'perm_media',
             'perm_phone_msg',
             'perm_scan_wifi',
             'person',
             'person_add',
             'person_outline',
             'person_pin',
             'person_pin_circle',
             'personal_video',
             'pets',
             'phone',
             'phone_android',
             'phone_bluetooth_speaker',
             'phone_forwarded',
             'phone_in_talk',
             'phone_iphone',
             'phone_locked',
             'phone_missed',
             'phone_paused',
             'phonelink',
             'phonelink_erase',
             'phonelink_lock',
             'phonelink_off',
             'phonelink_ring',
             'phonelink_setup',
             'photo',
             'photo_album',
             'photo_camera',
             'photo_filter',
             'photo_library',
             'photo_size_select_actual',
             'photo_size_select_large',
             'photo_size_select_small',
             'picture_as_pdf',
             'picture_in_picture',
             'picture_in_picture_alt',
             'pie_chart',
             'pie_chart_outlined',
             'pin_drop',
             'place',
             'play_arrow',
             'play_circle_filled',
             'play_circle_outline',
             'play_for_work',
             'playlist_add',
             'playlist_add_check',
             'playlist_play',
             'plus_one',
             'poll',
             'polymer',
             'pool',
             'portable_wifi_off',
             'portrait',
             'power',
             'power_input',
             'power_settings_new',
             'pregnant_woman',
             'present_to_all',
             'print',
             'priority_high',
             'public',
             'publish',
             'query_builder',
             'question_answer',
             'queue',
             'queue_music',
             'queue_play_next',
             'radio',
             'radio_button_checked',
             'radio_button_unchecked',
             'rate_review',
             'receipt',
             'recent_actors',
             'record_voice_over',
             'redeem',
             'redo',
             'refresh',
             'remove',
             'remove_circle',
             'remove_circle_outline',
             'remove_from_queue',
             'remove_red_eye',
             'remove_shopping_cart',
             'reorder',
             'repeat',
             'repeat_one',
             'replay',
             'replay_10',
             'replay_30',
             'replay_5',
             'reply',
             'reply_all',
             'report',
             'report_problem',
             'restaurant',
             'restaurant_menu',
             'restore',
             'restore_page',
             'ring_volume',
             'room',
             'room_service',
             'rotate_90_degrees_ccw',
             'rotate_left',
             'rotate_right',
             'rounded_corner',
             'router',
             'rowing',
             'rss_feed',
             'rv_hookup',
             'satellite',
             'save',
             'scanner',
             'schedule',
             'school',
             'screen_lock_landscape',
             'screen_lock_portrait',
             'screen_lock_rotation',
             'screen_rotation',
             'screen_share',
             'sd_card',
             'sd_storage',
             'search',
             'security',
             'select_all',
             'send',
             'sentiment_dissatisfied',
             'sentiment_neutral',
             'sentiment_satisfied',
             'sentiment_very_dissatisfied',
             'sentiment_very_satisfied',
             'settings',
             'settings_applications',
             'settings_backup_restore',
             'settings_bluetooth',
             'settings_brightness',
             'settings_cell',
             'settings_ethernet',
             'settings_input_antenna',
             'settings_input_component',
             'settings_input_composite',
             'settings_input_hdmi',
             'settings_input_svideo',
             'settings_overscan',
             'settings_phone',
             'settings_power',
             'settings_remote',
             'settings_system_daydream',
             'settings_voice',
             'share',
             'shop',
             'shop_two',
             'shopping_basket',
             'shopping_cart',
             'short_text',
             'show_chart',
             'shuffle',
             'signal_cellular_4_bar',
             'signal_cellular_connected_no_internet_4_bar',
             'signal_cellular_no_sim',
             'signal_cellular_null',
             'signal_cellular_off',
             'signal_wifi_4_bar',
             'signal_wifi_4_bar_lock',
             'signal_wifi_off',
             'sim_card',
             'sim_card_alert',
             'skip_next',
             'skip_previous',
             'slideshow',
             'slow_motion_video',
             'smartphone',
             'smoke_free',
             'smoking_rooms',
             'sms',
             'sms_failed',
             'snooze',
             'sort',
             'sort_by_alpha',
             'spa',
             'space_bar',
             'speaker',
             'speaker_group',
             'speaker_notes',
             'speaker_notes_off',
             'speaker_phone',
             'spellcheck',
             'star',
             'star_border',
             'star_half',
             'stars',
             'stay_current_landscape',
             'stay_current_portrait',
             'stay_primary_landscape',
             'stay_primary_portrait',
             'stop',
             'stop_screen_share',
             'storage',
             'store',
             'store_mall_directory',
             'straighten',
             'streetview',
             'strikethrough_s',
             'style',
             'subdirectory_arrow_left',
             'subdirectory_arrow_right',
             'subject',
             'subscriptions',
             'subtitles',
             'subway',
             'supervisor_account',
             'surround_sound',
             'swap_calls',
             'swap_horiz',
             'swap_vert',
             'swap_vertical_circle',
             'switch_camera',
             'switch_video',
             'sync',
             'sync_disabled',
             'sync_problem',
             'system_update',
             'system_update_alt',
             'tab',
             'tab_unselected',
             'tablet',
             'tablet_android',
             'tablet_mac',
             'tag_faces',
             'tap_and_play',
             'terrain',
             'text_fields',
             'text_format',
             'textsms',
             'texture',
             'theaters',
             'thumb_down',
             'thumb_up',
             'thumbs_up_down',
             'time_to_leave',
             'timelapse',
             'timeline',
             'timer',
             'timer_10',
             'timer_3',
             'timer_off',
             'title',
             'toc',
             'today',
             'toll',
             'tonality',
             'touch_app',
             'toys',
             'track_changes',
             'traffic',
             'train',
             'tram',
             'transfer_within_a_station',
             'transform',
             'translate',
             'trending_down',
             'trending_flat',
             'trending_up',
             'tune',
             'turned_in',
             'turned_in_not',
             'tv',
             'unarchive',
             'undo',
             'unfold_less',
             'unfold_more',
             'update',
             'usb',
             'verified_user',
             'vertical_align_bottom',
             'vertical_align_center',
             'vertical_align_top',
             'vibration',
             'video_call',
             'video_label',
             'video_library',
             'videocam',
             'videocam_off',
             'videogame_asset',
             'view_agenda',
             'view_array',
             'view_carousel',
             'view_column',
             'view_comfy',
             'view_compact',
             'view_day',
             'view_headline',
             'view_list',
             'view_module',
             'view_quilt',
             'view_stream',
             'view_week',
             'vignette',
             'visibility',
             'visibility_off',
             'voice_chat',
             'voicemail',
             'volume_down',
             'volume_mute',
             'volume_off',
             'volume_up',
             'vpn_key',
             'vpn_lock',
             'wallpaper',
             'warning',
             'watch',
             'watch_later',
             'wb_auto',
             'wb_cloudy',
             'wb_incandescent',
             'wb_iridescent',
             'wb_sunny',
             'wc',
             'web',
             'web_asset',
             'weekend',
             'whatshot',
             'widgets',
             'wifi',
             'wifi_lock',
             'wifi_tethering',
             'work',
             'wrap_text',
             'youtube_searched_for',
             'zoom_in',
             'zoom_out',
             'zoom_out_map',
             ];
             options[1] = 'md';
             }*/
            else if (options[0] == 'icon ico') {
                icons = [
                    "alert",
                    "alert-circled",
                    "android-add",
                    "android-add-circle",
                    "android-alarm-clock",
                    "android-alert",
                    "android-apps",
                    "android-archive",
                    "android-arrow-back",
                    "android-arrow-down",
                    "android-arrow-dropdown",
                    "android-arrow-dropdown-circle",
                    "android-arrow-dropleft",
                    "android-arrow-dropleft-circle",
                    "android-arrow-dropright",
                    "android-arrow-dropright-circle",
                    "android-arrow-dropup",
                    "android-arrow-dropup-circle",
                    "android-arrow-forward",
                    "android-arrow-up",
                    "android-attach",
                    "android-bar",
                    "android-bicycle",
                    "android-boat",
                    "android-bookmark",
                    "android-bulb",
                    "android-bus",
                    "android-calendar",
                    "android-call",
                    "android-camera",
                    "android-cancel",
                    "android-car",
                    "android-cart",
                    "android-chat",
                    "android-checkbox",
                    "android-checkbox-blank",
                    "android-checkbox-outline",
                    "android-checkbox-outline-blank",
                    "android-checkmark-circle",
                    "android-clipboard",
                    "android-close",
                    "android-cloud",
                    "android-cloud-circle",
                    "android-cloud-done",
                    "android-cloud-outline",
                    "android-color-palette",
                    "android-compass",
                    "android-contact",
                    "android-contacts",
                    "android-contract",
                    "android-create",
                    "android-delete",
                    "android-desktop",
                    "android-document",
                    "android-done",
                    "android-done-all",
                    "android-download",
                    "android-drafts",
                    "android-exit",
                    "android-expand",
                    "android-favorite",
                    "android-favorite-outline",
                    "android-film",
                    "android-folder",
                    "android-folder-open",
                    "android-funnel",
                    "android-globe",
                    "android-hand",
                    "android-hangout",
                    "android-happy",
                    "android-home",
                    "android-image",
                    "android-laptop",
                    "android-list",
                    "android-locate",
                    "android-lock",
                    "android-mail",
                    "android-map",
                    "android-menu",
                    "android-microphone",
                    "android-microphone-off",
                    "android-more-horizontal",
                    "android-more-vertical",
                    "android-navigate",
                    "android-notifications",
                    "android-notifications-none",
                    "android-notifications-off",
                    "android-open",
                    "android-options",
                    "android-people",
                    "android-person",
                    "android-person-add",
                    "android-phone-landscape",
                    "android-phone-portrait",
                    "android-pin",
                    "android-plane",
                    "android-playstore",
                    "android-print",
                    "android-radio-button-off",
                    "android-radio-button-on",
                    "android-refresh",
                    "android-remove",
                    "android-remove-circle",
                    "android-restaurant",
                    "android-sad",
                    "android-search",
                    "android-send",
                    "android-settings",
                    "android-share",
                    "android-share-alt",
                    "android-star",
                    "android-star-half",
                    "android-star-outline",
                    "android-stopwatch",
                    "android-subway",
                    "android-sunny",
                    "android-sync",
                    "android-textsms",
                    "android-time",
                    "android-train",
                    "android-unlock",
                    "android-upload",
                    "android-volume-down",
                    "android-volume-mute",
                    "android-volume-off",
                    "android-volume-up",
                    "android-walk",
                    "android-warning",
                    "android-watch",
                    "android-wifi",
                    "aperture",
                    "archive",
                    "arrow-down-a",
                    "arrow-down-b",
                    "arrow-down-c",
                    "arrow-expand",
                    "arrow-graph-down-left",
                    "arrow-graph-down-right",
                    "arrow-graph-up-left",
                    "arrow-graph-up-right",
                    "arrow-left-a",
                    "arrow-left-b",
                    "arrow-left-c",
                    "arrow-move",
                    "arrow-resize",
                    "arrow-return-left",
                    "arrow-return-right",
                    "arrow-right-a",
                    "arrow-right-b",
                    "arrow-right-c",
                    "arrow-shrink",
                    "arrow-swap",
                    "arrow-up-a",
                    "arrow-up-b",
                    "arrow-up-c",
                    "asterisk",
                    "at",
                    "backspace",
                    "backspace-outline",
                    "bag",
                    "battery-charging",
                    "battery-empty",
                    "battery-full",
                    "battery-half",
                    "battery-low",
                    "beaker",
                    "beer",
                    "bluetooth",
                    "bonfire",
                    "bookmark",
                    "bowtie",
                    "briefcase",
                    "bug",
                    "calculator",
                    "calendar",
                    "camera",
                    "card",
                    "cash",
                    "chatbox",
                    "chatbox-working",
                    "chatboxes",
                    "chatbubble",
                    "chatbubble-working",
                    "chatbubbles",
                    "checkmark",
                    "checkmark-circled",
                    "checkmark-round",
                    "chevron-down",
                    "chevron-left",
                    "chevron-right",
                    "chevron-up",
                    "clipboard",
                    "clock",
                    "close",
                    "close-circled",
                    "close-round",
                    "closed-captioning",
                    "cloud",
                    "code",
                    "code-download",
                    "code-working",
                    "coffee",
                    "compass",
                    "compose",
                    "connection-bars",
                    "contrast",
                    "crop",
                    "cube",
                    "disc",
                    "document",
                    "document-text",
                    "drag",
                    "earth",
                    "easel",
                    "edit",
                    "egg",
                    "eject",
                    "email",
                    "email-unread",
                    "erlenmeyer-flask",
                    "erlenmeyer-flask-bubbles",
                    "eye",
                    "eye-disabled",
                    "female",
                    "filing",
                    "film-marker",
                    "fireball",
                    "flag",
                    "flame",
                    "flash",
                    "flash-off",
                    "folder",
                    "fork",
                    "fork-repo",
                    "forward",
                    "funnel",
                    "gear-a",
                    "gear-b",
                    "grid",
                    "hammer",
                    "happy",
                    "happy-outline",
                    "headphone",
                    "heart",
                    "heart-broken",
                    "help",
                    "help-buoy",
                    "help-circled",
                    "home",
                    "icecream",
                    "image",
                    "images",
                    "information",
                    "information-circled",
                    "ionic",
                    "ios-alarm",
                    "ios-alarm-outline",
                    "ios-albums",
                    "ios-albums-outline",
                    "ios-americanfootball",
                    "ios-americanfootball-outline",
                    "ios-analytics",
                    "ios-analytics-outline",
                    "ios-arrow-back",
                    "ios-arrow-down",
                    "ios-arrow-forward",
                    "ios-arrow-left",
                    "ios-arrow-right",
                    "ios-arrow-thin-down",
                    "ios-arrow-thin-left",
                    "ios-arrow-thin-right",
                    "ios-arrow-thin-up",
                    "ios-arrow-up",
                    "ios-at",
                    "ios-at-outline",
                    "ios-barcode",
                    "ios-barcode-outline",
                    "ios-baseball",
                    "ios-baseball-outline",
                    "ios-basketball",
                    "ios-basketball-outline",
                    "ios-bell",
                    "ios-bell-outline",
                    "ios-body",
                    "ios-body-outline",
                    "ios-bolt",
                    "ios-bolt-outline",
                    "ios-book",
                    "ios-book-outline",
                    "ios-bookmarks",
                    "ios-bookmarks-outline",
                    "ios-box",
                    "ios-box-outline",
                    "ios-briefcase",
                    "ios-briefcase-outline",
                    "ios-browsers",
                    "ios-browsers-outline",
                    "ios-calculator",
                    "ios-calculator-outline",
                    "ios-calendar",
                    "ios-calendar-outline",
                    "ios-camera",
                    "ios-camera-outline",
                    "ios-cart",
                    "ios-cart-outline",
                    "ios-chatboxes",
                    "ios-chatboxes-outline",
                    "ios-chatbubble",
                    "ios-chatbubble-outline",
                    "ios-checkmark",
                    "ios-checkmark-empty",
                    "ios-checkmark-outline",
                    "ios-circle-filled",
                    "ios-circle-outline",
                    "ios-clock",
                    "ios-clock-outline",
                    "ios-close",
                    "ios-close-empty",
                    "ios-close-outline",
                    "ios-cloud",
                    "ios-cloud-download",
                    "ios-cloud-download-outline",
                    "ios-cloud-outline",
                    "ios-cloud-upload",
                    "ios-cloud-upload-outline",
                    "ios-cloudy",
                    "ios-cloudy-night",
                    "ios-cloudy-night-outline",
                    "ios-cloudy-outline",
                    "ios-cog",
                    "ios-cog-outline",
                    "ios-color-filter",
                    "ios-color-filter-outline",
                    "ios-color-wand",
                    "ios-color-wand-outline",
                    "ios-compose",
                    "ios-compose-outline",
                    "ios-contact",
                    "ios-contact-outline",
                    "ios-copy",
                    "ios-copy-outline",
                    "ios-crop",
                    "ios-crop-strong",
                    "ios-download",
                    "ios-download-outline",
                    "ios-drag",
                    "ios-email",
                    "ios-email-outline",
                    "ios-eye",
                    "ios-eye-outline",
                    "ios-fastforward",
                    "ios-fastforward-outline",
                    "ios-filing",
                    "ios-filing-outline",
                    "ios-film",
                    "ios-film-outline",
                    "ios-flag",
                    "ios-flag-outline",
                    "ios-flame",
                    "ios-flame-outline",
                    "ios-flask",
                    "ios-flask-outline",
                    "ios-flower",
                    "ios-flower-outline",
                    "ios-folder",
                    "ios-folder-outline",
                    "ios-football",
                    "ios-football-outline",
                    "ios-game-controller-a",
                    "ios-game-controller-a-outline",
                    "ios-game-controller-b",
                    "ios-game-controller-b-outline",
                    "ios-gear",
                    "ios-gear-outline",
                    "ios-glasses",
                    "ios-glasses-outline",
                    "ios-grid-view",
                    "ios-grid-view-outline",
                    "ios-heart",
                    "ios-heart-outline",
                    "ios-help",
                    "ios-help-empty",
                    "ios-help-outline",
                    "ios-home",
                    "ios-home-outline",
                    "ios-infinite",
                    "ios-infinite-outline",
                    "ios-information",
                    "ios-information-empty",
                    "ios-information-outline",
                    "ios-ionic-outline",
                    "ios-keypad",
                    "ios-keypad-outline",
                    "ios-lightbulb",
                    "ios-lightbulb-outline",
                    "ios-list",
                    "ios-list-outline",
                    "ios-location",
                    "ios-location-outline",
                    "ios-locked",
                    "ios-locked-outline",
                    "ios-loop",
                    "ios-loop-strong",
                    "ios-medical",
                    "ios-medical-outline",
                    "ios-medkit",
                    "ios-medkit-outline",
                    "ios-mic",
                    "ios-mic-off",
                    "ios-mic-outline",
                    "ios-minus",
                    "ios-minus-empty",
                    "ios-minus-outline",
                    "ios-monitor",
                    "ios-monitor-outline",
                    "ios-moon",
                    "ios-moon-outline",
                    "ios-more",
                    "ios-more-outline",
                    "ios-musical-note",
                    "ios-musical-notes",
                    "ios-navigate",
                    "ios-navigate-outline",
                    "ios-nutrition",
                    "ios-nutrition-outline",
                    "ios-paper",
                    "ios-paper-outline",
                    "ios-paperplane",
                    "ios-paperplane-outline",
                    "ios-partlysunny",
                    "ios-partlysunny-outline",
                    "ios-pause",
                    "ios-pause-outline",
                    "ios-paw",
                    "ios-paw-outline",
                    "ios-people",
                    "ios-people-outline",
                    "ios-person",
                    "ios-person-outline",
                    "ios-personadd",
                    "ios-personadd-outline",
                    "ios-photos",
                    "ios-photos-outline",
                    "ios-pie",
                    "ios-pie-outline",
                    "ios-pint",
                    "ios-pint-outline",
                    "ios-play",
                    "ios-play-outline",
                    "ios-plus",
                    "ios-plus-empty",
                    "ios-plus-outline",
                    "ios-pricetag",
                    "ios-pricetag-outline",
                    "ios-pricetags",
                    "ios-pricetags-outline",
                    "ios-printer",
                    "ios-printer-outline",
                    "ios-pulse",
                    "ios-pulse-strong",
                    "ios-rainy",
                    "ios-rainy-outline",
                    "ios-recording",
                    "ios-recording-outline",
                    "ios-redo",
                    "ios-redo-outline",
                    "ios-refresh",
                    "ios-refresh-empty",
                    "ios-refresh-outline",
                    "ios-reload",
                    "ios-reverse-camera",
                    "ios-reverse-camera-outline",
                    "ios-rewind",
                    "ios-rewind-outline",
                    "ios-rose",
                    "ios-rose-outline",
                    "ios-search",
                    "ios-search-strong",
                    "ios-settings",
                    "ios-settings-strong",
                    "ios-shuffle",
                    "ios-shuffle-strong",
                    "ios-skipbackward",
                    "ios-skipbackward-outline",
                    "ios-skipforward",
                    "ios-skipforward-outline",
                    "ios-snowy",
                    "ios-speedometer",
                    "ios-speedometer-outline",
                    "ios-star",
                    "ios-star-half",
                    "ios-star-outline",
                    "ios-stopwatch",
                    "ios-stopwatch-outline",
                    "ios-sunny",
                    "ios-sunny-outline",
                    "ios-telephone",
                    "ios-telephone-outline",
                    "ios-tennisball",
                    "ios-tennisball-outline",
                    "ios-thunderstorm",
                    "ios-thunderstorm-outline",
                    "ios-time",
                    "ios-time-outline",
                    "ios-timer",
                    "ios-timer-outline",
                    "ios-toggle",
                    "ios-toggle-outline",
                    "ios-trash",
                    "ios-trash-outline",
                    "ios-undo",
                    "ios-undo-outline",
                    "ios-unlocked",
                    "ios-unlocked-outline",
                    "ios-upload",
                    "ios-upload-outline",
                    "ios-videocam",
                    "ios-videocam-outline",
                    "ios-volume-high",
                    "ios-volume-low",
                    "ios-wineglass",
                    "ios-wineglass-outline",
                    "ios-world",
                    "ios-world-outline",
                    "ipad",
                    "iphone",
                    "ipod",
                    "jet",
                    "key",
                    "knife",
                    "laptop",
                    "leaf",
                    "levels",
                    "lightbulb",
                    "link",
                    "load-a",
                    "load-b",
                    "load-c",
                    "load-d",
                    "location",
                    "lock-combination",
                    "locked",
                    "log-in",
                    "log-out",
                    "loop",
                    "magnet",
                    "male",
                    "man",
                    "map",
                    "medkit",
                    "merge",
                    "mic-a",
                    "mic-b",
                    "mic-c",
                    "minus",
                    "minus-circled",
                    "minus-round",
                    "model-s",
                    "monitor",
                    "more",
                    "mouse",
                    "music-note",
                    "navicon",
                    "navicon-round",
                    "navigate",
                    "network",
                    "no-smoking",
                    "nuclear",
                    "outlet",
                    "paintbrush",
                    "paintbucket",
                    "paper-airplane",
                    "paperclip",
                    "pause",
                    "person",
                    "person-add",
                    "person-stalker",
                    "pie-graph",
                    "pin",
                    "pinpoint",
                    "pizza",
                    "plane",
                    "planet",
                    "play",
                    "playstation",
                    "plus",
                    "plus-circled",
                    "plus-round",
                    "podium",
                    "pound",
                    "power",
                    "pricetag",
                    "pricetags",
                    "printer",
                    "pull-request",
                    "qr-scanner",
                    "quote",
                    "radio-waves",
                    "record",
                    "refresh",
                    "reply",
                    "reply-all",
                    "ribbon-a",
                    "ribbon-b",
                    "sad",
                    "sad-outline",
                    "scissors",
                    "search",
                    "settings",
                    "share",
                    "shuffle",
                    "skip-backward",
                    "skip-forward",
                    "social-android",
                    "social-android-outline",
                    "social-angular",
                    "social-angular-outline",
                    "social-apple",
                    "social-apple-outline",
                    "social-bitcoin",
                    "social-bitcoin-outline",
                    "social-buffer",
                    "social-buffer-outline",
                    "social-chrome",
                    "social-chrome-outline",
                    "social-codepen",
                    "social-codepen-outline",
                    "social-css3",
                    "social-css3-outline",
                    "social-designernews",
                    "social-designernews-outline",
                    "social-dribbble",
                    "social-dribbble-outline",
                    "social-dropbox",
                    "social-dropbox-outline",
                    "social-euro",
                    "social-euro-outline",
                    "social-facebook",
                    "social-facebook-outline",
                    "social-foursquare",
                    "social-foursquare-outline",
                    "social-freebsd-devil",
                    "social-github",
                    "social-github-outline",
                    "social-google",
                    "social-google-outline",
                    "social-googleplus",
                    "social-googleplus-outline",
                    "social-hackernews",
                    "social-hackernews-outline",
                    "social-html5",
                    "social-html5-outline",
                    "social-instagram",
                    "social-instagram-outline",
                    "social-javascript",
                    "social-javascript-outline",
                    "social-linkedin",
                    "social-linkedin-outline",
                    "social-markdown",
                    "social-nodejs",
                    "social-octocat",
                    "social-pinterest",
                    "social-pinterest-outline",
                    "social-python",
                    "social-reddit",
                    "social-reddit-outline",
                    "social-rss",
                    "social-rss-outline",
                    "social-sass",
                    "social-skype",
                    "social-skype-outline",
                    "social-snapchat",
                    "social-snapchat-outline",
                    "social-tumblr",
                    "social-tumblr-outline",
                    "social-tux",
                    "social-twitch",
                    "social-twitch-outline",
                    "social-twitter",
                    "social-twitter-outline",
                    "social-usd",
                    "social-usd-outline",
                    "social-vimeo",
                    "social-vimeo-outline",
                    "social-whatsapp",
                    "social-whatsapp-outline",
                    "social-windows",
                    "social-windows-outline",
                    "social-wordpress",
                    "social-wordpress-outline",
                    "social-yahoo",
                    "social-yahoo-outline",
                    "social-yen",
                    "social-yen-outline",
                    "social-youtube",
                    "social-youtube-outline",
                    "soup-can",
                    "soup-can-outline",
                    "speakerphone",
                    "speedometer",
                    "spoon",
                    "star",
                    "stats-bars",
                    "steam",
                    "stop",
                    "thermometer",
                    "thumbsdown",
                    "thumbsup",
                    "toggle",
                    "toggle-filled",
                    "transgender",
                    "trash-a",
                    "trash-b",
                    "trophy",
                    "tshirt",
                    "tshirt-outline",
                    "umbrella",
                    "university",
                    "unlocked",
                    "upload",
                    "usb",
                    "videocamera",
                    "volume-high",
                    "volume-low",
                    "volume-medium",
                    "volume-mute",
                    "wand",
                    "waterdrop",
                    "wifi",
                    "wineglass",
                    "woman",
                    "wrench",
                    "xbox",
                ];
                options[1] = 'ion';
            } else if (options[0] == 'eleganticons') {
                icons = [
                    'arrow_up',
                    'arrow_down',
                    'arrow_left',
                    'arrow_right',
                    'arrow_left-up',
                    'arrow_right-up',
                    'arrow_right-down',
                    'arrow_left-down',
                    'arrow-up-down',
                    'arrow_up-down_alt',
                    'arrow_left-right_alt',
                    'arrow_left-right',
                    'arrow_expand_alt2',
                    'arrow_expand_alt',
                    'arrow_condense',
                    'arrow_expand',
                    'arrow_move',
                    'arrow_carrot-up',
                    'arrow_carrot-down',
                    'arrow_carrot-left',
                    'arrow_carrot-right',
                    'arrow_carrot-2up',
                    'arrow_carrot-2down',
                    'arrow_carrot-2left',
                    'arrow_carrot-2right',
                    'arrow_carrot-up_alt2',
                    'arrow_carrot-down_alt2',
                    'arrow_carrot-left_alt2',
                    'arrow_carrot-right_alt2',
                    'arrow_carrot-2up_alt2',
                    'arrow_carrot-2down_alt2',
                    'arrow_carrot-2left_alt2',
                    'arrow_carrot-2right_alt2',
                    'arrow_triangle-up',
                    'arrow_triangle-down',
                    'arrow_triangle-left',
                    'arrow_triangle-right',
                    'arrow_triangle-up_alt2',
                    'arrow_triangle-down_alt2',
                    'arrow_triangle-left_alt2',
                    'arrow_triangle-right_alt2',
                    'arrow_back',
                    'icon_minus-06',
                    'icon_plus',
                    'icon_close',
                    'icon_check',
                    'icon_minus_alt2',
                    'icon_plus_alt2',
                    'icon_close_alt2',
                    'icon_check_alt2',
                    'icon_zoom-out_alt',
                    'icon_zoom-in_alt',
                    'icon_search',
                    'icon_box-empty',
                    'icon_box-selected',
                    'icon_minus-box',
                    'icon_plus-box',
                    'icon_box-checked',
                    'icon_circle-empty',
                    'icon_circle-slelected',
                    'icon_stop_alt2',
                    'icon_stop',
                    'icon_pause_alt2',
                    'icon_pause',
                    'icon_menu',
                    'icon_menu-square_alt2',
                    'icon_menu-circle_alt2',
                    'icon_ul',
                    'icon_ol',
                    'icon_adjust-horiz',
                    'icon_adjust-vert',
                    'icon_document_alt',
                    'icon_documents_alt',
                    'icon_pencil',
                    'icon_pencil-edit_alt',
                    'icon_pencil-edit',
                    'icon_folder-alt',
                    'icon_folder-open_alt',
                    'icon_folder-add_alt',
                    'icon_info_alt',
                    'icon_error-oct_alt',
                    'icon_error-circle_alt',
                    'icon_error-triangle_alt',
                    'icon_question_alt2',
                    'icon_question',
                    'icon_comment_alt',
                    'icon_chat_alt',
                    'icon_vol-mute_alt',
                    'icon_volume-low_alt',
                    'icon_volume-high_alt',
                    'icon_quotations',
                    'icon_quotations_alt2',
                    'icon_clock_alt',
                    'icon_lock_alt',
                    'icon_lock-open_alt',
                    'icon_key_alt',
                    'icon_cloud_alt',
                    'icon_cloud-upload_alt',
                    'icon_cloud-download_alt',
                    'icon_image',
                    'icon_images',
                    'icon_lightbulb_alt',
                    'icon_gift_alt',
                    'icon_house_alt',
                    'icon_genius',
                    'icon_mobile',
                    'icon_tablet',
                    'icon_laptop',
                    'icon_desktop',
                    'icon_camera_alt',
                    'icon_mail_alt',
                    'icon_cone_alt',
                    'icon_ribbon_alt',
                    'icon_bag_alt',
                    'icon_creditcard',
                    'icon_cart_alt',
                    'icon_paperclip',
                    'icon_tag_alt',
                    'icon_tags_alt',
                    'icon_trash_alt',
                    'icon_cursor_alt',
                    'icon_mic_alt',
                    'icon_compass_alt',
                    'icon_pin_alt',
                    'icon_pushpin_alt',
                    'icon_map_alt',
                    'icon_drawer_alt',
                    'icon_toolbox_alt',
                    'icon_book_alt',
                    'icon_calendar',
                    'icon_film',
                    'icon_table',
                    'icon_contacts_alt',
                    'icon_headphones',
                    'icon_lifesaver',
                    'icon_piechart',
                    'icon_refresh',
                    'icon_link_alt',
                    'icon_link',
                    'icon_loading',
                    'icon_blocked',
                    'icon_archive_alt',
                    'icon_heart_alt',
                    'icon_star_alt',
                    'icon_star-half_alt',
                    'icon_star',
                    'icon_star-half',
                    'icon_tools',
                    'icon_tool',
                    'icon_cog',
                    'icon_cogs',
                    'arrow_up_alt',
                    'arrow_down_alt',
                    'arrow_left_alt',
                    'arrow_right_alt',
                    'arrow_left-up_alt',
                    'arrow_right-up_alt',
                    'arrow_right-down_alt',
                    'arrow_left-down_alt',
                    'arrow_condense_alt',
                    'arrow_expand_alt3',
                    'arrow_carrot_up_alt',
                    'arrow_carrot-down_alt',
                    'arrow_carrot-left_alt',
                    'arrow_carrot-right_alt',
                    'arrow_carrot-2up_alt',
                    'arrow_carrot-2dwnn_alt',
                    'arrow_carrot-2left_alt',
                    'arrow_carrot-2right_alt',
                    'arrow_triangle-up_alt',
                    'arrow_triangle-down_alt',
                    'arrow_triangle-left_alt',
                    'arrow_triangle-right_alt',
                    'icon_minus_alt',
                    'icon_plus_alt',
                    'icon_close_alt',
                    'icon_check_alt',
                    'icon_zoom-out',
                    'icon_zoom-in',
                    'icon_stop_alt',
                    'icon_menu-square_alt',
                    'icon_menu-circle_alt',
                    'icon_document',
                    'icon_documents',
                    'icon_pencil_alt',
                    'icon_folder',
                    'icon_folder-open',
                    'icon_folder-add',
                    'icon_folder_upload',
                    'icon_folder_download',
                    'icon_info',
                    'icon_error-circle',
                    'icon_error-oct',
                    'icon_error-triangle',
                    'icon_question_alt',
                    'icon_comment',
                    'icon_chat',
                    'icon_vol-mute',
                    'icon_volume-low',
                    'icon_volume-high',
                    'icon_quotations_alt',
                    'icon_clock',
                    'icon_lock',
                    'icon_lock-open',
                    'icon_key',
                    'icon_cloud',
                    'icon_cloud-upload',
                    'icon_cloud-download',
                    'icon_lightbulb',
                    'icon_gift',
                    'icon_house',
                    'icon_camera',
                    'icon_mail',
                    'icon_cone',
                    'icon_ribbon',
                    'icon_bag',
                    'icon_cart',
                    'icon_tag',
                    'icon_tags',
                    'icon_trash',
                    'icon_cursor',
                    'icon_mic',
                    'icon_compass',
                    'icon_pin',
                    'icon_pushpin',
                    'icon_map',
                    'icon_drawer',
                    'icon_toolbox',
                    'icon_book',
                    'icon_contacts',
                    'icon_archive',
                    'icon_heart',
                    'icon_profile',
                    'icon_group',
                    'icon_grid-2x2',
                    'icon_grid-3x3',
                    'icon_music',
                    'icon_pause_alt',
                    'icon_phone',
                    'icon_upload',
                    'icon_download',
                    'social_facebook',
                    'social_twitter',
                    'social_pinterest',
                    'social_googleplus',
                    'social_tumblr',
                    'social_tumbleupon',
                    'social_wordpress',
                    'social_instagram',
                    'social_dribbble',
                    'social_vimeo',
                    'social_linkedin',
                    'social_rss',
                    'social_deviantart',
                    'social_share',
                    'social_myspace',
                    'social_skype',
                    'social_youtube',
                    'social_picassa',
                    'social_googledrive',
                    'social_flickr',
                    'social_blogger',
                    'social_spotify',
                    'social_delicious',
                    'social_facebook_circle',
                    'social_twitter_circle',
                    'social_pinterest_circle',
                    'social_googleplus_circle',
                    'social_tumblr_circle',
                    'social_stumbleupon_circle',
                    'social_wordpress_circle',
                    'social_instagram_circle',
                    'social_dribbble_circle',
                    'social_vimeo_circle',
                    'social_linkedin_circle',
                    'social_rss_circle',
                    'social_deviantart_circle',
                    'social_share_circle',
                    'social_myspace_circle',
                    'social_skype_circle',
                    'social_youtube_circle',
                    'social_picassa_circle',
                    'social_googledrive_alt2',
                    'social_flickr_circle',
                    'social_blogger_circle',
                    'social_spotify_circle',
                    'social_delicious_circle',
                    'social_facebook_square',
                    'social_twitter_square',
                    'social_pinterest_square',
                    'social_googleplus_square',
                    'social_tumblr_square',
                    'social_stumbleupon_square',
                    'social_wordpress_square',
                    'social_instagram_square',
                    'social_dribbble_square',
                    'social_vimeo_square',
                    'social_linkedin_square',
                    'social_rss_square',
                    'social_deviantart_square',
                    'social_share_square',
                    'social_myspace_square',
                    'social_skype_square',
                    'social_youtube_square',
                    'social_picassa_square',
                    'social_googledrive_square',
                    'social_flickr_square',
                    'social_blogger_square',
                    'social_spotify_square',
                    'social_delicious_square',
                    'icon_printer',
                    'icon_calulator',
                    'icon_building',
                    'icon_floppy',
                    'icon_drive',
                    'icon_search-2',
                    'icon_id',
                    'icon_id-2',
                    'icon_puzzle',
                    'icon_like',
                    'icon_dislike',
                    'icon_mug',
                    'icon_currency',
                    'icon_wallet',
                    'icon_pens',
                    'icon_easel',
                    'icon_flowchart',
                    'icon_datareport',
                    'icon_briefcase',
                    'icon_shield',
                    'icon_percent',
                    'icon_globe',
                    'icon_globe-2',
                    'icon_target',
                    'icon_hourglass',
                    'icon_balance',
                    'icon_rook',
                    'icon_printer-alt',
                    'icon_calculator_alt',
                    'icon_building_alt',
                    'icon_floppy_alt',
                    'icon_drive_alt',
                    'icon_search_alt',
                    'icon_id_alt',
                    'icon_id-2_alt',
                    'icon_puzzle_alt',
                    'icon_like_alt',
                    'icon_dislike_alt',
                    'icon_mug_alt',
                    'icon_currency_alt',
                    'icon_wallet_alt',
                    'icon_pens_alt',
                    'icon_easel_alt',
                    'icon_flowchart_alt',
                    'icon_datareport_alt',
                    'icon_briefcase_alt',
                    'icon_shield_alt',
                    'icon_percent_alt',
                    'icon_globe_alt',
                    'icon_clipboa'
                ];
                options[1] = '';
            } else if (options[0] == 'captainicon') {
                icons = [
                    '001',
                    '002',
                    '003',
                    '004',
                    '005',
                    '006',
                    '007',
                    '008',
                    '009',
                    '010',
                    '011',
                    '012',
                    '013',
                    '014',
                    '015',
                    '016',
                    '017',
                    '018',
                    '019',
                    '020',
                    '021',
                    '022',
                    '023',
                    '024',
                    '025',
                    '026',
                    '027',
                    '028',
                    '029',
                    '030',
                    '031',
                    '032',
                    '033',
                    '034',
                    '035',
                    '036',
                    '037',
                    '038',
                    '039',
                    '040',
                    '041',
                    '042',
                    '043',
                    '044',
                    '045',
                    '046',
                    '047',
                    '048',
                    '049',
                    '050',
                    '051',
                    '052',
                    '053',
                    '054',
                    '055',
                    '056',
                    '057',
                    '058',
                    '059',
                    '060',
                    '061',
                    '062',
                    '063',
                    '064',
                    '065',
                    '066',
                    '067',
                    '068',
                    '069',
                    '070',
                    '071',
                    '072',
                    '073',
                    '074',
                    '075',
                    '076',
                    '077',
                    '078',
                    '079',
                    '080',
                    '081',
                    '082',
                    '083',
                    '084',
                    '085',
                    '086',
                    '087',
                    '088',
                    '089',
                    '090',
                    '091',
                    '092',
                    '093',
                    '094',
                    '095',
                    '096',
                    '097',
                    '98',
                    '099',
                    '100',
                    '101',
                    '102',
                    '103',
                    '104',
                    '105',
                    '106',
                    '107',
                    '108',
                    '109',
                    '110',
                    '111',
                    '112',
                    '113',
                    '114',
                    '115',
                    '116',
                    '117',
                    '118',
                    '119',
                    '120',
                    '121',
                    '122',
                    '123',
                    '124',
                    '125',
                    '126',
                    '127',
                    '128',
                    '129',
                    '130',
                    '131',
                    '132',
                    '133',
                    '134',
                    '135',
                    '136',
                    '137',
                    '138',
                    '139',
                    '140',
                    '141',
                    '142',
                    '143',
                    '144',
                    '145',
                    '146',
                    '147',
                    '148',
                    '149',
                    '150',
                    '151',
                    '152',
                    '153',
                    '154',
                    '155',
                    '156',
                    '157',
                    '158',
                    '159',
                    '160',
                    '161',
                    '162',
                    '163',
                    '164',
                    '165',
                    '166',
                    '167',
                    '168',
                    '169',
                    '170',
                    '171',
                    '172',
                    '173',
                    '174',
                    '175',
                    '176',
                    '177',
                    '178',
                    '179',
                    '180',
                    '181',
                    '182',
                    '183',
                    '184',
                    '185',
                    '186',
                    '187',
                    '188',
                    '189',
                    '190',
                    '191',
                    '192',
                    '193',
                    '194',
                    '195',
                    '196',
                    '197',
                    '198',
                    '199',
                    '200',
                    '201',
                    '202',
                    '203',
                    '204',
                    '205',
                    '206',
                    '207',
                    '208',
                    '209',
                    '210',
                    '211',
                    '212',
                    '213',
                    '214',
                    '215',
                    '216',
                    '217',
                    '218',
                    '219',
                    '220',
                    '221',
                    '222',
                    '223',
                    '224',
                    '225',
                    '226',
                    '227',
                    '228',
                    '229',
                    '230',
                    '231',
                    '232',
                    '233',
                    '234',
                    '235',
                    '236',
                    '237',
                    '238',
                    '239',
                    '240',
                    '241',
                    '242',
                    '243',
                    '244',
                    '245',
                    '246',
                    '247',
                    '248',
                    '249',
                    '250',
                    '251',
                    '252',
                    '253',
                    '254',
                    '255',
                    '256',
                    '257',
                    '258',
                    '259',
                    '260',
                    '261',
                    '262',
                    '263',
                    '264',
                    '265',
                    '266',
                    '267',
                    '268',
                    '269',
                    '270',
                    '271',
                    '272',
                    '273',
                    '274',
                    '275',
                    '276',
                    '277',
                    '278',
                    '279',
                    '280',
                    '281',
                    '282',
                    '283',
                    '284',
                    '285',
                    '286',
                    '287',
                    '288',
                    '289',
                    '290',
                    '291',
                    '292',
                    '293',
                    '294',
                    '295',
                    '296',
                    '297',
                    '298',
                    '299',
                    '300',
                    '301',
                    '302',
                    '303',
                    '304',
                    '305',
                    '306',
                    '307',
                    '308',
                    '309',
                    '310',
                    '311',
                    '312',
                    '313',
                    '314',
                    '315',
                    '316',
                    '317',
                    '318',
                    '319',
                    '320',
                    '321',
                    '322',
                    '323',
                    '324',
                    '325',
                    '326',
                    '327',
                    '328',
                    '329',
                    '330',
                    '331',
                    '332',
                    '333',
                    '334',
                    '335',
                    '336',
                    '337',
                    '338',
                    '339',
                    '340',
                    '341',
                    '342',
                    '343',
                    '344',
                    '345',
                    '346',
                    '347',
                    '348',
                    '349',
                    '350',
                    '351',
                    '352',
                    '353',
                    '354',
                    '355',
                    '356',
                    '357',
                    '358',
                    '359',
                    '360',
                    '361',
                    '362',
                    '363',
                    '364',
                    '365',
                    '366',
                    '367',
                    '368',
                    '369',
                    '370',
                    '371',
                    '372',
                    '373',
                    '374',
                    '375',
                ];
                options[1] = 'captainicon';
            } else if (options[0] == 'mfglabsiconset') {
                icons = [
                    'cloud',
                    'at',
                    'plus',
                    'minus',
                    'arrow_up',
                    'arrow_down',
                    'arrow_right',
                    'arrow_left',
                    'chevron_down',
                    'chevron_up',
                    'chevron_right',
                    'chevron_left',
                    'reorder',
                    'list',
                    'reorder_square',
                    'reorder_square_line',
                    'coverflow',
                    'coverflow_line',
                    'pause',
                    'play',
                    'step_forward',
                    'step_backward',
                    'fast_forward',
                    'fast_backward',
                    'cloud_upload',
                    'cloud_download',
                    'data_science',
                    'data_science_black',
                    'globe',
                    'globe_black',
                    'math_ico',
                    'math',
                    'math_black',
                    'paperplane_ico',
                    'paperplane',
                    'paperplane_black',
                    'color_balance',
                    'star',
                    'star_half',
                    'star_empty',
                    'star_half_empty',
                    'reload',
                    'heart',
                    'heart_broken',
                    'hashtag',
                    'reply',
                    'retweet',
                    'signin',
                    'signout',
                    'download',
                    'upload',
                    'placepin',
                    'display_screen',
                    'tablet',
                    'smartphone',
                    'connected_object',
                    'lock',
                    'unlock',
                    'camera',
                    'isight',
                    'video_camera',
                    'random',
                    'message',
                    'discussion',
                    'calendar',
                    'ringbell',
                    'movie',
                    'mail',
                    'pen',
                    'settings',
                    'measure',
                    'vector',
                    'vector_pen',
                    'mute_on',
                    'mute_off',
                    'home',
                    'sheet',
                    'arrow_big_right',
                    'arrow_big_left',
                    'arrow_big_down',
                    'arrow_big_up',
                    'dribbble_circle',
                    'dribbble',
                    'facebook_circle',
                    'facebook',
                    'git_circle_alt',
                    'git_circle',
                    'git',
                    'octopus',
                    'twitter_circle',
                    'twitter',
                    'google_plus_circle',
                    'google_plus',
                    'linked_in_circle',
                    'linked_in',
                    'instagram',
                    'instagram_circle',
                    'mfg_icon',
                    'xing',
                    'xing_circle',
                    'mfg_icon_circle',
                    'user',
                    'user_male',
                    'user_female',
                    'users',
                    'file_open',
                    'file_close',
                    'file_alt',
                    'file_close_alt',
                    'attachment',
                    'check',
                    'cross_mark',
                    'cancel_circle',
                    'check_circle',
                    'magnifying',
                    'inbox',
                    'clock',
                    'stopwatch',
                    'hourglass',
                    'trophy',
                    'unlock_alt',
                    'lock_alt',
                    'arrow_doubled_right',
                    'arrow_doubled_left',
                    'arrow_doubled_down',
                    'arrow_doubled_up',
                    'link',
                    'warning',
                    'warning_alt',
                    'magnifying_plus',
                    'magnifying_minus',
                    'white_question',
                    'black_question',
                    'stop',
                    'share',
                    'eye',
                    'trash_can',
                    'hard_drive',
                    'information_black',
                    'information_white',
                    'printer',
                    'letter',
                    'soundcloud',
                    'soundcloud_circle',
                    'anchor',
                    'female_sign',
                    'male_sign',
                    'joystick',
                    'high_voltage',
                    'fire',
                    'newspaper',
                    'chart',
                    'spread',
                    'spinner_1',
                    'spinner_2',
                    'chart_alt',
                    'label',
                    'brush',
                    'refresh',
                    'node',
                    'node_2',
                    'node_3',
                    'link_2_nodes',
                    'link_3_nodes',
                    'link_loop_nodes',
                    'node_size',
                    'node_color',
                    'layout_directed',
                    'layout_radial',
                    'layout_hierarchical',
                    'node_link_direction',
                    'node_link_short_path',
                    'node_cluster',
                    'display_graph',
                    'node_link_weight',
                    'more_node_links',
                    'node_shape',
                    'node_icon',
                    'node_text',
                    'node_link_text',
                    'node_link_color',
                    'node_link_shape',
                    'credit_card',
                    'disconnect',
                    'graph',
                    'new_user',
                ];
                options[1] = 'mfglabsiconset';
            } else if (options[0] == 'ti') {
                icons = [
                    "arrow-up",
                    "arrow-right",
                    "arrow-left",
                    "arrow-down",
                    "arrows-vertical",
                    "arrows-horizontal",
                    "angle-up",
                    "angle-right",
                    "angle-left",
                    "angle-down",
                    "angle-double-up",
                    "angle-double-right",
                    "angle-double-left",
                    "angle-double-down",
                    "move",
                    "fullscreen",
                    "arrow-top-right",
                    "arrow-top-left",
                    "arrow-circle-up",
                    "arrow-circle-right",
                    "arrow-circle-left",
                    "arrow-circle-down",
                    "arrows-corner",
                    "split-v",
                    "split-v-alt",
                    "split-h",
                    "hand-point-up",
                    "hand-point-right",
                    "hand-point-left",
                    "hand-point-down",
                    "back-right",
                    "back-left",
                    "exchange-vertical",
                    "wand",
                    "save",
                    "save-alt",
                    "direction",
                    "direction-alt",
                    "user",
                    "link",
                    "unlink",
                    "trash",
                    "target",
                    "tag",
                    "desktop",
                    "tablet",
                    "mobile",
                    "email",
                    "star",
                    "spray",
                    "signal",
                    "shopping-cart",
                    "shopping-cart-full",
                    "settings",
                    "search",
                    "zoom-in",
                    "zoom-out",
                    "cut",
                    "ruler",
                    "ruler-alt-2",
                    "ruler-pencil",
                    "ruler-alt",
                    "bookmark",
                    "bookmark-alt",
                    "reload",
                    "plus",
                    "minus",
                    "close",
                    "pin",
                    "pencil",
                    "pencil-alt",
                    "paint-roller",
                    "paint-bucket",
                    "na",
                    "medall",
                    "medall-alt",
                    "marker",
                    "marker-alt",
                    "lock",
                    "unlock",
                    "location-arrow",
                    "layout",
                    "layers",
                    "layers-alt",
                    "key",
                    "image",
                    "heart",
                    "heart-broken",
                    "hand-stop",
                    "hand-open",
                    "hand-drag",
                    "flag",
                    "flag-alt",
                    "flag-alt-2",
                    "eye",
                    "import",
                    "export",
                    "cup",
                    "crown",
                    "comments",
                    "comment",
                    "comment-alt",
                    "thought",
                    "clip",
                    "check",
                    "check-box",
                    "camera",
                    "announcement",
                    "brush",
                    "brush-alt",
                    "palette",
                    "briefcase",
                    "bolt",
                    "bolt-alt",
                    "blackboard",
                    "bag",
                    "world",
                    "wheelchair",
                    "car",
                    "truck",
                    "timer",
                    "ticket",
                    "thumb-up",
                    "thumb-down",
                    "stats-up",
                    "stats-down",
                    "shine",
                    "shift-right",
                    "shift-left",
                    "shift-right-alt",
                    "shift-left-alt",
                    "shield",
                    "notepad",
                    "server",
                    "pulse",
                    "printer",
                    "power-off",
                    "plug",
                    "pie-chart",
                    "panel",
                    "package",
                    "music",
                    "music-alt",
                    "mouse",
                    "mouse-alt",
                    "money",
                    "microphone",
                    "menu",
                    "menu-alt",
                    "map",
                    "map-alt",
                    "location-pin",
                    "light-bulb",
                    "info",
                    "infinite",
                    "id-badge",
                    "hummer",
                    "home",
                    "help",
                    "headphone",
                    "harddrives",
                    "harddrive",
                    "gift",
                    "game",
                    "filter",
                    "files",
                    "file",
                    "zip",
                    "folder",
                    "envelope",
                    "dashboard",
                    "cloud",
                    "cloud-up",
                    "cloud-down",
                    "clipboard",
                    "calendar",
                    "book",
                    "bell",
                    "basketball",
                    "bar-chart",
                    "bar-chart-alt",
                    "archive",
                    "anchor",
                    "alert",
                    "alarm-clock",
                    "agenda",
                    "write",
                    "wallet",
                    "video-clapper",
                    "video-camera",
                    "vector",
                    "support",
                    "stamp",
                    "slice",
                    "shortcode",
                    "receipt",
                    "pin2",
                    "pin-alt",
                    "pencil-alt2",
                    "eraser",
                    "more",
                    "more-alt",
                    "microphone-alt",
                    "magnet",
                    "line-double",
                    "line-dotted",
                    "line-dashed",
                    "ink-pen",
                    "info-alt",
                    "help-alt",
                    "headphone-alt",
                    "gallery",
                    "face-smile",
                    "face-sad",
                    "credit-card",
                    "comments-smiley",
                    "time",
                    "share",
                    "share-alt",
                    "rocket",
                    "new-window",
                    "rss",
                    "rss-alt",
                    "control-stop",
                    "control-shuffle",
                    "control-play",
                    "control-pause",
                    "control-forward",
                    "control-backward",
                    "volume",
                    "control-skip-forward",
                    "control-skip-backward",
                    "control-record",
                    "control-eject",
                    "paragraph",
                    "uppercase",
                    "underline",
                    "text",
                    "Italic",
                    "smallcap",
                    "list",
                    "list-ol",
                    "align-right",
                    "align-left",
                    "align-justify",
                    "align-center",
                    "quote-right",
                    "quote-left",
                    "layout-width-full",
                    "layout-width-default",
                    "layout-width-default-alt",
                    "layout-tab",
                    "layout-tab-window",
                    "layout-tab-v",
                    "layout-tab-min",
                    "layout-slider",
                    "layout-slider-alt",
                    "layout-sidebar-right",
                    "layout-sidebar-none",
                    "layout-sidebar-left",
                    "layout-placeholder",
                    "layout-menu",
                    "layout-menu-v",
                    "layout-menu-separated",
                    "layout-menu-full",
                    "layout-media-right",
                    "layout-media-right-alt",
                    "layout-media-overlay",
                    "layout-media-overlay-alt",
                    "layout-media-overlay-alt-2",
                    "layout-media-left",
                    "layout-media-left-alt",
                    "layout-media-center",
                    "layout-media-center-alt",
                    "layout-list-thumb",
                    "layout-list-thumb-alt",
                    "layout-list-post",
                    "layout-list-large-image",
                    "layout-line-solid",
                    "layout-grid4",
                    "layout-grid3",
                    "layout-grid2",
                    "layout-grid2-thumb",
                    "layout-cta-right",
                    "layout-cta-left",
                    "layout-cta-center",
                    "layout-cta-btn-right",
                    "layout-cta-btn-left",
                    "layout-column4",
                    "layout-column3",
                    "layout-column2",
                    "layout-accordion-separated",
                    "layout-accordion-merged",
                    "layout-accordion-list",
                    "widgetized",
                    "widget",
                    "widget-alt",
                    "view-list",
                    "view-list-alt",
                    "view-grid",
                    "upload",
                    "download",
                    "loop",
                    "layout-sidebar-2",
                    "layout-grid4-alt",
                    "layout-grid3-alt",
                    "layout-grid2-alt",
                    "layout-column4-alt",
                    "layout-column3-alt",
                    "layout-column2-alt",
                    "flickr",
                    "flickr-alt",
                    "instagram",
                    "google",
                    "github",
                    "facebook",
                    "dropbox",
                    "dropbox-alt",
                    "dribbble",
                    "apple",
                    "android",
                    "yahoo",
                    "trello",
                    "stack-overflow",
                    "soundcloud",
                    "sharethis",
                    "sharethis-alt",
                    "reddit",
                    "microsoft",
                    "microsoft-alt",
                    "linux",
                    "jsfiddle",
                    "joomla",
                    "html5",
                    "css3",
                    "drupal",
                    "wordpress",
                    "tumblr",
                    "tumblr-alt",
                    "skype",
                    "youtube",
                    "vimeo",
                    "vimeo-alt",
                    "twitter",
                    "twitter-alt",
                    "linkedin",
                    "pinterest",
                    "pinterest-alt",
                    "themify-logo",
                    "themify-favicon",
                    "themify-favicon-alt"
                ];
                options[1] = "ti";
            } else {
                icons = [
                    "blank",
                    "standard",
                    "aside",
                    "image",
                    "gallery",
                    "video",
                    "status",
                    "quote",
                    "link",
                    "chat",
                    "audio",

                    /* Social icons */
                    "github",
                    "dribbble",
                    "twitter",
                    "facebook",
                    "facebook-alt",
                    "wordpress",
                    "googleplus",
                    "linkedin",
                    "linkedin-alt",
                    "pinterest",
                    "pinterest-alt",
                    "flickr",
                    "vimeo",
                    "youtube",
                    "tumblr",
                    "instagram",
                    "codepen",
                    "polldaddy",
                    "googleplus-alt",
                    "path",
                    "skype",
                    "digg",
                    "reddit",
                    "stumbleupon",
                    "pocket",

                    /* Meta icons */
                    "comment",
                    "category",
                    "tag",
                    "time",
                    "user",
                    "day",
                    "week",
                    "month",
                    "pinned",

                    /* Other icons */
                    "search",
                    "unzoom",
                    "zoom",
                    "show",
                    "hide",
                    "close",
                    "close-alt",
                    "trash",
                    "star",
                    "home",
                    "mail",
                    "edit",
                    "reply",
                    "feed",
                    "warning",
                    "share",
                    "attachment",
                    "location",
                    "checkmark",
                    "menu",
                    "refresh",
                    "minimize",
                    "maximize",
                    "404",
                    "spam",
                    "summary",
                    "cloud",
                    "key",
                    "dot",
                    "next",
                    "previous",
                    "expand",
                    "collapse",
                    "dropdown",
                    "dropdown-left",
                    "top",
                    "draggable",
                    "phone",
                    "send-to-phone",
                    "plugin",
                    "cloud-download",
                    "cloud-upload",
                    "external",
                    "document",
                    "book",
                    "cog",
                    "unapprove",
                    "cart",
                    "pause",
                    "stop",
                    "skip-back",
                    "skip-ahead",
                    "play",
                    "tablet",
                    "send-to-tablet",
                    "info",
                    "notice",
                    "help",
                    "fastforward",
                    "rewind",
                    "portfolio",
                    "heart",
                    "code",
                    "subscribe",
                    "unsubscribe",
                    "subscribed",
                    "reply-alt",
                    "reply-single",
                    "flag",
                    "print",
                    "lock",
                    "bold",
                    "italic",
                    "picture",

                    /* Generic shapes */
                    "uparrow",
                    "rightarrow",
                    "downarrow",
                    "leftarrow"
                ];
                options[1] = 'genericon';
            }
            ;
        }
        ;
        font_set();

        function build_list($popup, $button, clear) {
            $list = $popup.find('.icon-picker-list');
            if (clear == 1) {
                $list.empty(); // clear list //
            }
            for (var i in icons) {
                // if(options[0] == 'md'){
                // 	$list.append('<li data-icon="'+icons[i]+'"><a href="#" title="'+icons[i]+'"><span class="material-icons">'+icons[i]+'</span></a></li>');	
                // }else 
                if (options[0] == 'eleganticons') {
                    $list.append('<li data-icon="' + icons[i] + '"><a href="#" title="' + icons[i] + '"><span class="' + options[0] + ' ' + icons[i] + '"></span></a></li>');
                } else {
                    $list.append('<li data-icon="' + icons[i] + '"><a href="#" title="' + icons[i] + '"><span class="' + options[0] + ' ' + options[1] + '-' + icons[i] + '"></span></a></li>');
                }
            }
            ;
            $('a', $list).click(function (e) {
                e.preventDefault();
                var title = $(this).attr("title");
                $target.val(options[0] + "|" + options[1] + "-" + title);

                // if(options[0] == 'md'){
                // 	$button.html('');
                // 	$button.removeClass().addClass("button icon-picker").append('<span class="material-icons">'+title+'</span>').siblings('.icon-picker-input').val('material-icons|'+title);
                // }else 
                if (options[0] == 'eleganticons') {
                    $button.html('');
                    $button.removeClass().addClass("button icon-picker " + options[0] + " " + title).siblings('.icon-picker-input').val(options[0] + '|' + title);
                } else {
                    $button.html('');
                    $button.removeClass().addClass("button icon-picker " + options[0] + " " + options[1] + "-" + title).siblings('.icon-picker-input').val(options[0] + "|" + options[1] + "-" + title);
                }
                removePopup();
            });
        }
        ;

        function removePopup() {
            $(".icon-picker-container").remove();
        }


        $button = $('.icon-picker');
        $button.each(function () {
            $(this).on('click.iconPicker', function () {
                createPopup($(this));
            });
        });


        function createPopup($button) {
            $target = $($button.data('target'));
            $popup = $('<div class="icon-picker-container"> \
			<span class="icon-picker-close"><i class="dashicons dashicons-no"></i></span> \
			<div class="icon-picker-control"> \
			</div>\
                        <ul class="icon-picker-list" /> \
			</div>')
                    .css({
                        'top': $button.offset().top,
                        'left': $button.offset().left
                    });
            build_list($popup, $button, 0);
            var $control = $popup.find('.icon-picker-control');
            $control.html('<p>Select Font: <select><option value="dashicons">Dashicons</option><option value="fa">Font Awesome 4.7.0</option><optgroup label="Font Awesome 5.x"><option value="fab">Brands</option><option value="far">Regular</option><option value="fas">Solid</option></optgroup><option value="genericon">Genericons</option><option value="eleganticons">Elegant icons</option></select></p>' +
                    '<a data-direction="back" href="#"><span class="dashicons dashicons-arrow-left-alt2"></span></a> ' +
                    '<input type="text" class="" placeholder="Search" />' +
                    '<a data-direction="forward" href="#"><span class="dashicons dashicons-arrow-right-alt2"></span></a>' +
                    '');

            $('select', $control).on('change', function (e) {
                e.preventDefault();
                if (this.value != options[0]) {
                    options[0] = this.value;
                    font_set();
                    build_list($popup, $button, 1);
                }
                ;
            });

            $('a', $control).click(function (e) {
                e.preventDefault();
                if ($(this).data('direction') === 'back') {
                    //move last 25 elements to front
                    $('li:gt(' + (icons.length - 26) + ')', $list).each(function () {
                        $(this).prependTo($list);
                    });
                } else {
                    //move first 25 elements to the end
                    $('li:lt(25)', $list).each(function () {
                        $(this).appendTo($list);
                    });
                }
            });

            $popup.appendTo('body').show();

            $('input', $control).on('keyup', function (e) {
                var search = $(this).val();
                if (search === '') {
                    //show all again
                    $('li:lt(25)', $list).show();
                } else {
                    $('li', $list).each(function () {
                        if ($(this).data('icon').toString().toLowerCase().indexOf(search.toLowerCase()) !== -1) {
                            $(this).show();
                        } else {
                            $(this).hide();
                        }
                    });
                }
            });

            $(document).mouseup(function (e) {
                if (!$popup.is(e.target) && $popup.has(e.target).length === 0) {
                    removePopup();
                }
            });

            $(document).on("click", ".icon-picker-close", function (e) {
                removePopup();
            });

            $(document).on('keydown', function (e) {
                if (e.keyCode === 27) {
                    removePopup();
                }
            });
        }
    }

    $(function () {

        /** Icon picker Initialization For Menu & Custom Template **/
        //$('.icon-picker').iconPicker();                  
    });

}(jQuery));
